/*
 Navicat Premium Data Transfer

 Source Server         : 本地5.7
 Source Server Type    : MySQL
 Source Server Version : 50729
 Source Host           : localhost:3307
 Source Schema         : magic-boot

 Target Server Type    : MySQL
 Target Server Version : 50729
 File Encoding         : 65001

 Date: 05/11/2021 23:39:45
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for magic_api_backup
-- ----------------------------
DROP TABLE IF EXISTS `magic_api_backup`;
CREATE TABLE `magic_api_backup`  (
  `id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '原对象ID',
  `create_date` bigint(13) NOT NULL COMMENT '备份时间',
  `tag` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '标签',
  `type` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '类型',
  `name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '原名称',
  `content` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '备份内容',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '操作人',
  PRIMARY KEY (`id`, `create_date`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for magic_api_file
-- ----------------------------
DROP TABLE IF EXISTS `magic_api_file`;
CREATE TABLE `magic_api_file`  (
  `file_path` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `file_content` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of magic_api_file
-- ----------------------------
INSERT INTO `magic_api_file` VALUES ('/magic-api/function/', 'this is directory');
INSERT INTO `magic_api_file` VALUES ('/magic-api/backups/', 'this is directory');
INSERT INTO `magic_api_file` VALUES ('/magic-api/api/', 'this is directory');
INSERT INTO `magic_api_file` VALUES ('/magic-api/datasource/', 'this is directory');
INSERT INTO `magic_api_file` VALUES ('/magic-api/api/后台/', 'this is directory');
INSERT INTO `magic_api_file` VALUES ('/magic-api/api/后台/group.json', '{\r\n  \"properties\" : { },\r\n  \"id\" : \"02df51e4d7184780a98b632f43dc5848\",\r\n  \"name\" : \"后台\",\r\n  \"type\" : \"1\",\r\n  \"parentId\" : \"0\",\r\n  \"path\" : \"\",\r\n  \"paths\" : [ ],\r\n  \"options\" : [ ]\r\n}');
INSERT INTO `magic_api_file` VALUES ('/magic-api/api/后台/安全/', 'this is directory');
INSERT INTO `magic_api_file` VALUES ('/magic-api/api/后台/安全/group.json', '{\r\n  \"properties\" : { },\r\n  \"id\" : \"1952f25c81084e24b55b11385767dc38\",\r\n  \"name\" : \"安全\",\r\n  \"type\" : \"1\",\r\n  \"parentId\" : \"02df51e4d7184780a98b632f43dc5848\",\r\n  \"path\" : \"/security\",\r\n  \"paths\" : [ ],\r\n  \"options\" : [ ]\r\n}');
INSERT INTO `magic_api_file` VALUES ('/magic-api/api/后台/安全/登录.ms', '{\r\n  \"properties\" : { },\r\n  \"id\" : \"6f604c0abbe446b381381ae929026a28\",\r\n  \"script\" : null,\r\n  \"groupId\" : \"1952f25c81084e24b55b11385767dc38\",\r\n  \"name\" : \"登录\",\r\n  \"createTime\" : null,\r\n  \"updateTime\" : 1634309663207,\r\n  \"lock\" : \"0\",\r\n  \"method\" : \"POST\",\r\n  \"path\" : \"/login\",\r\n  \"parameters\" : [ ],\r\n  \"option\" : \"[{\\\"name\\\":\\\"require_login\\\",\\\"value\\\":\\\"false\\\",\\\"description\\\":\\\"该接口需要登录才允许访问\\\"}]\",\r\n  \"requestBody\" : \"{\\r\\n    \\\"username\\\": \\\"admin\\\",\\r\\n    \\\"password\\\": \\\"1\\\"\\r\\n}\",\r\n  \"headers\" : [ ],\r\n  \"paths\" : [ ],\r\n  \"responseBody\" : \"{\\n    \\\"code\\\": 500,\\n    \\\"message\\\": \\\"系统内部出现错误\\\",\\n    \\\"data\\\": null,\\n    \\\"timestamp\\\": 1634225636093,\\n    \\\"executeTime\\\": 9174\\n}\",\r\n  \"description\" : null,\r\n  \"requestBodyDefinition\" : {\r\n    \"name\" : \"root\",\r\n    \"value\" : \"\",\r\n    \"description\" : \"\",\r\n    \"required\" : false,\r\n    \"dataType\" : \"Object\",\r\n    \"type\" : null,\r\n    \"defaultValue\" : null,\r\n    \"validateType\" : \"\",\r\n    \"error\" : \"\",\r\n    \"expression\" : \"\",\r\n    \"children\" : [ {\r\n      \"name\" : \"username\",\r\n      \"value\" : \"admin\",\r\n      \"description\" : \"\",\r\n      \"required\" : true,\r\n      \"dataType\" : \"String\",\r\n      \"type\" : null,\r\n      \"defaultValue\" : null,\r\n      \"validateType\" : \"\",\r\n      \"error\" : \"\",\r\n      \"expression\" : \"\",\r\n      \"children\" : [ ]\r\n    }, {\r\n      \"name\" : \"password\",\r\n      \"value\" : \"1\",\r\n      \"description\" : \"\",\r\n      \"required\" : true,\r\n      \"dataType\" : \"String\",\r\n      \"type\" : null,\r\n      \"defaultValue\" : null,\r\n      \"validateType\" : \"\",\r\n      \"error\" : \"\",\r\n      \"expression\" : \"\",\r\n      \"children\" : [ ]\r\n    } ]\r\n  },\r\n  \"responseBodyDefinition\" : {\r\n    \"name\" : \"\",\r\n    \"value\" : \"\",\r\n    \"description\" : \"\",\r\n    \"required\" : false,\r\n    \"dataType\" : \"Object\",\r\n    \"type\" : null,\r\n    \"defaultValue\" : null,\r\n    \"validateType\" : \"\",\r\n    \"error\" : \"\",\r\n    \"expression\" : \"\",\r\n    \"children\" : [ {\r\n      \"name\" : \"code\",\r\n      \"value\" : \"500\",\r\n      \"description\" : \"\",\r\n      \"required\" : false,\r\n      \"dataType\" : \"Integer\",\r\n      \"type\" : null,\r\n      \"defaultValue\" : null,\r\n      \"validateType\" : \"\",\r\n      \"error\" : \"\",\r\n      \"expression\" : \"\",\r\n      \"children\" : [ ]\r\n    }, {\r\n      \"name\" : \"message\",\r\n      \"value\" : \"系统内部出现错误\",\r\n      \"description\" : \"\",\r\n      \"required\" : false,\r\n      \"dataType\" : \"String\",\r\n      \"type\" : null,\r\n      \"defaultValue\" : null,\r\n      \"validateType\" : \"\",\r\n      \"error\" : \"\",\r\n      \"expression\" : \"\",\r\n      \"children\" : [ ]\r\n    }, {\r\n      \"name\" : \"data\",\r\n      \"value\" : \"null\",\r\n      \"description\" : \"\",\r\n      \"required\" : false,\r\n      \"dataType\" : \"Object\",\r\n      \"type\" : null,\r\n      \"defaultValue\" : null,\r\n      \"validateType\" : \"\",\r\n      \"error\" : \"\",\r\n      \"expression\" : \"\",\r\n      \"children\" : [ ]\r\n    }, {\r\n      \"name\" : \"timestamp\",\r\n      \"value\" : \"1634225636093\",\r\n      \"description\" : \"\",\r\n      \"required\" : false,\r\n      \"dataType\" : \"Long\",\r\n      \"type\" : null,\r\n      \"defaultValue\" : null,\r\n      \"validateType\" : \"\",\r\n      \"error\" : \"\",\r\n      \"expression\" : \"\",\r\n      \"children\" : [ ]\r\n    }, {\r\n      \"name\" : \"executeTime\",\r\n      \"value\" : \"9174\",\r\n      \"description\" : \"\",\r\n      \"required\" : false,\r\n      \"dataType\" : \"Integer\",\r\n      \"type\" : null,\r\n      \"defaultValue\" : null,\r\n      \"validateType\" : \"\",\r\n      \"error\" : \"\",\r\n      \"expression\" : \"\",\r\n      \"children\" : [ ]\r\n    } ]\r\n  },\r\n  \"optionMap\" : {\r\n    \"require_login\" : \"false\"\r\n  }\r\n}\r\n================================\r\nimport log\r\nimport \'cn.dev33.satoken.secure.SaSecureUtil\';\r\nimport \'cn.dev33.satoken.stp.StpUtil\';\r\n\r\nvar user = db.table(\"sys_user\").where().eq(\"username\",body.username).eq(\"password\",SaSecureUtil.sha256(body.password)).selectOne()\r\nif(!user){\r\n    exit 0,\'用户名或密码错误\'\r\n}\r\n\r\nStpUtil.login(user.id)\r\nreturn StpUtil.getTokenValueByLoginId(user.id)');
INSERT INTO `magic_api_file` VALUES ('/magic-api/api/后台/安全/获取当前用户权限code.ms', '{\r\n  \"properties\" : { },\r\n  \"id\" : \"c97e92eef5024994a32352cddbe73d6d\",\r\n  \"script\" : null,\r\n  \"groupId\" : \"1952f25c81084e24b55b11385767dc38\",\r\n  \"name\" : \"获取当前用户权限code\",\r\n  \"createTime\" : null,\r\n  \"updateTime\" : 1634093114548,\r\n  \"lock\" : \"0\",\r\n  \"method\" : \"POST\",\r\n  \"path\" : \"/permissions\",\r\n  \"parameters\" : [ ],\r\n  \"option\" : \"[{\\\"name\\\":\\\"\\\",\\\"value\\\":\\\"\\\",\\\"description\\\":\\\"\\\"}]\",\r\n  \"requestBody\" : \"{\\r\\n\\t\\r\\n}\",\r\n  \"headers\" : [ ],\r\n  \"paths\" : [ ],\r\n  \"responseBody\" : \"{\\n    \\\"code\\\": 200,\\n    \\\"message\\\": \\\"success\\\",\\n    \\\"data\\\": [\\n        \\\"role:view\\\",\\n        \\\"role:save\\\",\\n        \\\"role:delete\\\",\\n        \\\"menu:delete\\\",\\n        \\\"office:office:list\\\",\\n        \\\"office:office:save\\\",\\n        \\\"office:office:delete\\\",\\n        \\\"dict:items:delete\\\",\\n        \\\"sys:test:aaa\\\",\\n        \\\"dict:delete\\\",\\n        \\\"dict:items\\\",\\n        \\\"dict:save\\\",\\n        \\\"user:save\\\",\\n        \\\"dict:view\\\",\\n        \\\"user:delete\\\",\\n        \\\"menu:save\\\",\\n        \\\"dict:items:save\\\"\\n    ],\\n    \\\"timestamp\\\": 1634092982336,\\n    \\\"executeTime\\\": 25\\n}\",\r\n  \"description\" : null,\r\n  \"requestBodyDefinition\" : null,\r\n  \"responseBodyDefinition\" : {\r\n    \"name\" : \"\",\r\n    \"value\" : \"\",\r\n    \"description\" : \"\",\r\n    \"required\" : false,\r\n    \"dataType\" : \"Object\",\r\n    \"type\" : null,\r\n    \"defaultValue\" : null,\r\n    \"validateType\" : \"\",\r\n    \"error\" : \"\",\r\n    \"expression\" : \"\",\r\n    \"children\" : [ {\r\n      \"name\" : \"code\",\r\n      \"value\" : \"200\",\r\n      \"description\" : \"\",\r\n      \"required\" : false,\r\n      \"dataType\" : \"Integer\",\r\n      \"type\" : null,\r\n      \"defaultValue\" : null,\r\n      \"validateType\" : \"\",\r\n      \"error\" : \"\",\r\n      \"expression\" : \"\",\r\n      \"children\" : [ ]\r\n    }, {\r\n      \"name\" : \"message\",\r\n      \"value\" : \"success\",\r\n      \"description\" : \"\",\r\n      \"required\" : false,\r\n      \"dataType\" : \"String\",\r\n      \"type\" : null,\r\n      \"defaultValue\" : null,\r\n      \"validateType\" : \"\",\r\n      \"error\" : \"\",\r\n      \"expression\" : \"\",\r\n      \"children\" : [ ]\r\n    }, {\r\n      \"name\" : \"data\",\r\n      \"value\" : \"\",\r\n      \"description\" : \"\",\r\n      \"required\" : false,\r\n      \"dataType\" : \"Array\",\r\n      \"type\" : null,\r\n      \"defaultValue\" : null,\r\n      \"validateType\" : \"\",\r\n      \"error\" : \"\",\r\n      \"expression\" : \"\",\r\n      \"children\" : [ {\r\n        \"name\" : \"\",\r\n        \"value\" : \"role:view\",\r\n        \"description\" : \"\",\r\n        \"required\" : false,\r\n        \"dataType\" : \"String\",\r\n        \"type\" : null,\r\n        \"defaultValue\" : null,\r\n        \"validateType\" : \"\",\r\n        \"error\" : \"\",\r\n        \"expression\" : \"\",\r\n        \"children\" : [ ]\r\n      } ]\r\n    }, {\r\n      \"name\" : \"timestamp\",\r\n      \"value\" : \"1634092982336\",\r\n      \"description\" : \"\",\r\n      \"required\" : false,\r\n      \"dataType\" : \"Long\",\r\n      \"type\" : null,\r\n      \"defaultValue\" : null,\r\n      \"validateType\" : \"\",\r\n      \"error\" : \"\",\r\n      \"expression\" : \"\",\r\n      \"children\" : [ ]\r\n    }, {\r\n      \"name\" : \"executeTime\",\r\n      \"value\" : \"25\",\r\n      \"description\" : \"\",\r\n      \"required\" : false,\r\n      \"dataType\" : \"Integer\",\r\n      \"type\" : null,\r\n      \"defaultValue\" : null,\r\n      \"validateType\" : \"\",\r\n      \"error\" : \"\",\r\n      \"expression\" : \"\",\r\n      \"children\" : [ ]\r\n    } ]\r\n  },\r\n  \"optionMap\" : {\r\n    \"\" : \"\"\r\n  }\r\n}\r\n================================\r\nimport \'cn.dev33.satoken.stp.StpUtil\';\r\n\r\nvar userId = StpUtil.getLoginId()\r\nreturn db.select(\"\"\"\r\n    SELECT DISTINCT\r\n        sm.permission\r\n    FROM\r\n        sys_menu sm\r\n        left JOIN sys_role_menu srm ON sm.id = srm.menu_id\r\n        left JOIN sys_user_role sur ON sur.role_id = srm.role_id\r\n        left JOIN sys_user su ON su.id = sur.user_id\r\n        ?{userId != \'1\', AND su.id = #{userId}}\r\n        AND su.is_del = 0\r\n    WHERE\r\n        sm.is_del = 0\r\n        AND sm.permission != \'\'\r\n        AND sm.permission IS NOT NULL\r\n\"\"\").map((it) => {return it.permission})');
INSERT INTO `magic_api_file` VALUES ('/magic-api/api/后台/安全/退出登录.ms', '{\r\n  \"properties\" : { },\r\n  \"id\" : \"72bd167de1b9456fb91ed939214ff7b4\",\r\n  \"script\" : null,\r\n  \"groupId\" : \"1952f25c81084e24b55b11385767dc38\",\r\n  \"name\" : \"退出登录\",\r\n  \"createTime\" : null,\r\n  \"updateTime\" : 1634046055204,\r\n  \"lock\" : \"0\",\r\n  \"method\" : \"GET\",\r\n  \"path\" : \"/logout\",\r\n  \"parameters\" : [ ],\r\n  \"option\" : \"[{\\\"name\\\":\\\"require_login\\\",\\\"value\\\":\\\"false\\\",\\\"description\\\":\\\"该接口需要登录才允许访问\\\"}]\",\r\n  \"requestBody\" : \"\",\r\n  \"headers\" : [ ],\r\n  \"paths\" : [ ],\r\n  \"responseBody\" : \"{\\n    \\\"code\\\": 500,\\n    \\\"message\\\": \\\"系统内部出现错误\\\",\\n    \\\"data\\\": null,\\n    \\\"timestamp\\\": 1634046032107,\\n    \\\"executeTime\\\": 8\\n}\",\r\n  \"description\" : null,\r\n  \"requestBodyDefinition\" : null,\r\n  \"responseBodyDefinition\" : {\r\n    \"name\" : \"\",\r\n    \"value\" : \"\",\r\n    \"description\" : \"\",\r\n    \"required\" : false,\r\n    \"dataType\" : \"Object\",\r\n    \"type\" : null,\r\n    \"defaultValue\" : null,\r\n    \"validateType\" : \"\",\r\n    \"error\" : \"\",\r\n    \"expression\" : \"\",\r\n    \"children\" : [ {\r\n      \"name\" : \"code\",\r\n      \"value\" : \"500\",\r\n      \"description\" : \"\",\r\n      \"required\" : false,\r\n      \"dataType\" : \"Integer\",\r\n      \"type\" : null,\r\n      \"defaultValue\" : null,\r\n      \"validateType\" : \"\",\r\n      \"error\" : \"\",\r\n      \"expression\" : \"\",\r\n      \"children\" : [ ]\r\n    }, {\r\n      \"name\" : \"message\",\r\n      \"value\" : \"系统内部出现错误\",\r\n      \"description\" : \"\",\r\n      \"required\" : false,\r\n      \"dataType\" : \"String\",\r\n      \"type\" : null,\r\n      \"defaultValue\" : null,\r\n      \"validateType\" : \"\",\r\n      \"error\" : \"\",\r\n      \"expression\" : \"\",\r\n      \"children\" : [ ]\r\n    }, {\r\n      \"name\" : \"data\",\r\n      \"value\" : \"null\",\r\n      \"description\" : \"\",\r\n      \"required\" : false,\r\n      \"dataType\" : \"Object\",\r\n      \"type\" : null,\r\n      \"defaultValue\" : null,\r\n      \"validateType\" : \"\",\r\n      \"error\" : \"\",\r\n      \"expression\" : \"\",\r\n      \"children\" : [ ]\r\n    }, {\r\n      \"name\" : \"timestamp\",\r\n      \"value\" : \"1634046032107\",\r\n      \"description\" : \"\",\r\n      \"required\" : false,\r\n      \"dataType\" : \"Long\",\r\n      \"type\" : null,\r\n      \"defaultValue\" : null,\r\n      \"validateType\" : \"\",\r\n      \"error\" : \"\",\r\n      \"expression\" : \"\",\r\n      \"children\" : [ ]\r\n    }, {\r\n      \"name\" : \"executeTime\",\r\n      \"value\" : \"8\",\r\n      \"description\" : \"\",\r\n      \"required\" : false,\r\n      \"dataType\" : \"Integer\",\r\n      \"type\" : null,\r\n      \"defaultValue\" : null,\r\n      \"validateType\" : \"\",\r\n      \"error\" : \"\",\r\n      \"expression\" : \"\",\r\n      \"children\" : [ ]\r\n    } ]\r\n  },\r\n  \"optionMap\" : {\r\n    \"require_login\" : \"false\"\r\n  }\r\n}\r\n================================\r\nimport \'cn.dev33.satoken.stp.StpUtil\';\r\nStpUtil.logout();\r\nexit 200');
INSERT INTO `magic_api_file` VALUES ('/magic-api/api/后台/安全/验证token.ms', '{\r\n  \"properties\" : { },\r\n  \"id\" : \"a716bb16c71e47dcad23f1cc77c807f4\",\r\n  \"script\" : null,\r\n  \"groupId\" : \"1952f25c81084e24b55b11385767dc38\",\r\n  \"name\" : \"验证token\",\r\n  \"createTime\" : null,\r\n  \"updateTime\" : 1634047856670,\r\n  \"lock\" : \"0\",\r\n  \"method\" : \"GET\",\r\n  \"path\" : \"/validateToken\",\r\n  \"parameters\" : [ ],\r\n  \"option\" : \"[{\\\"name\\\":\\\"require_login\\\",\\\"value\\\":\\\"false\\\",\\\"description\\\":\\\"该接口需要登录才允许访问\\\"}]\",\r\n  \"requestBody\" : \"\",\r\n  \"headers\" : [ ],\r\n  \"paths\" : [ ],\r\n  \"responseBody\" : \"{\\n    \\\"code\\\": 500,\\n    \\\"message\\\": \\\"系统内部出现错误\\\",\\n    \\\"data\\\": null,\\n    \\\"timestamp\\\": 1634047764762,\\n    \\\"executeTime\\\": 8\\n}\",\r\n  \"description\" : null,\r\n  \"requestBodyDefinition\" : null,\r\n  \"responseBodyDefinition\" : {\r\n    \"name\" : \"\",\r\n    \"value\" : \"\",\r\n    \"description\" : \"\",\r\n    \"required\" : false,\r\n    \"dataType\" : \"Object\",\r\n    \"type\" : null,\r\n    \"defaultValue\" : null,\r\n    \"validateType\" : \"\",\r\n    \"error\" : \"\",\r\n    \"expression\" : \"\",\r\n    \"children\" : [ {\r\n      \"name\" : \"code\",\r\n      \"value\" : \"500\",\r\n      \"description\" : \"\",\r\n      \"required\" : false,\r\n      \"dataType\" : \"Integer\",\r\n      \"type\" : null,\r\n      \"defaultValue\" : null,\r\n      \"validateType\" : \"\",\r\n      \"error\" : \"\",\r\n      \"expression\" : \"\",\r\n      \"children\" : [ ]\r\n    }, {\r\n      \"name\" : \"message\",\r\n      \"value\" : \"系统内部出现错误\",\r\n      \"description\" : \"\",\r\n      \"required\" : false,\r\n      \"dataType\" : \"String\",\r\n      \"type\" : null,\r\n      \"defaultValue\" : null,\r\n      \"validateType\" : \"\",\r\n      \"error\" : \"\",\r\n      \"expression\" : \"\",\r\n      \"children\" : [ ]\r\n    }, {\r\n      \"name\" : \"data\",\r\n      \"value\" : \"null\",\r\n      \"description\" : \"\",\r\n      \"required\" : false,\r\n      \"dataType\" : \"Object\",\r\n      \"type\" : null,\r\n      \"defaultValue\" : null,\r\n      \"validateType\" : \"\",\r\n      \"error\" : \"\",\r\n      \"expression\" : \"\",\r\n      \"children\" : [ ]\r\n    }, {\r\n      \"name\" : \"timestamp\",\r\n      \"value\" : \"1634047764762\",\r\n      \"description\" : \"\",\r\n      \"required\" : false,\r\n      \"dataType\" : \"Long\",\r\n      \"type\" : null,\r\n      \"defaultValue\" : null,\r\n      \"validateType\" : \"\",\r\n      \"error\" : \"\",\r\n      \"expression\" : \"\",\r\n      \"children\" : [ ]\r\n    }, {\r\n      \"name\" : \"executeTime\",\r\n      \"value\" : \"8\",\r\n      \"description\" : \"\",\r\n      \"required\" : false,\r\n      \"dataType\" : \"Integer\",\r\n      \"type\" : null,\r\n      \"defaultValue\" : null,\r\n      \"validateType\" : \"\",\r\n      \"error\" : \"\",\r\n      \"expression\" : \"\",\r\n      \"children\" : [ ]\r\n    } ]\r\n  },\r\n  \"optionMap\" : {\r\n    \"require_login\" : \"false\"\r\n  }\r\n}\r\n================================\r\nimport \'cn.dev33.satoken.stp.StpUtil\';\r\nreturn StpUtil.isLogin();');
INSERT INTO `magic_api_file` VALUES ('/magic-api/api/后台/用户管理/', 'this is directory');
INSERT INTO `magic_api_file` VALUES ('/magic-api/api/后台/用户管理/group.json', '{\r\n  \"properties\" : { },\r\n  \"id\" : \"4f0230049d7e4f39b1e0897cc0f46f9a\",\r\n  \"name\" : \"用户管理\",\r\n  \"type\" : \"1\",\r\n  \"parentId\" : \"02df51e4d7184780a98b632f43dc5848\",\r\n  \"path\" : \"/user\",\r\n  \"paths\" : [ ],\r\n  \"options\" : [ ]\r\n}');
INSERT INTO `magic_api_file` VALUES ('/magic-api/api/后台/用户管理/获取用户信息.ms', '{\r\n  \"properties\" : { },\r\n  \"id\" : \"5f05c02a8f60480c8c81f0cac54800df\",\r\n  \"script\" : null,\r\n  \"groupId\" : \"4f0230049d7e4f39b1e0897cc0f46f9a\",\r\n  \"name\" : \"获取用户信息\",\r\n  \"createTime\" : null,\r\n  \"updateTime\" : 1634093338729,\r\n  \"lock\" : \"0\",\r\n  \"method\" : \"GET\",\r\n  \"path\" : \"/info\",\r\n  \"parameters\" : [ ],\r\n  \"option\" : \"[]\",\r\n  \"requestBody\" : \"{}\",\r\n  \"headers\" : [ ],\r\n  \"paths\" : [ ],\r\n  \"responseBody\" : \"{\\n    \\\"code\\\": 402,\\n    \\\"message\\\": \\\"凭证已过期\\\",\\n    \\\"data\\\": null,\\n    \\\"timestamp\\\": 1634093332235,\\n    \\\"executeTime\\\": null\\n}\",\r\n  \"description\" : null,\r\n  \"requestBodyDefinition\" : null,\r\n  \"responseBodyDefinition\" : {\r\n    \"name\" : \"\",\r\n    \"value\" : \"\",\r\n    \"description\" : \"\",\r\n    \"required\" : false,\r\n    \"dataType\" : \"Object\",\r\n    \"type\" : null,\r\n    \"defaultValue\" : null,\r\n    \"validateType\" : \"\",\r\n    \"error\" : \"\",\r\n    \"expression\" : \"\",\r\n    \"children\" : [ {\r\n      \"name\" : \"code\",\r\n      \"value\" : \"402\",\r\n      \"description\" : \"\",\r\n      \"required\" : false,\r\n      \"dataType\" : \"Integer\",\r\n      \"type\" : null,\r\n      \"defaultValue\" : null,\r\n      \"validateType\" : \"\",\r\n      \"error\" : \"\",\r\n      \"expression\" : \"\",\r\n      \"children\" : [ ]\r\n    }, {\r\n      \"name\" : \"message\",\r\n      \"value\" : \"凭证已过期\",\r\n      \"description\" : \"\",\r\n      \"required\" : false,\r\n      \"dataType\" : \"String\",\r\n      \"type\" : null,\r\n      \"defaultValue\" : null,\r\n      \"validateType\" : \"\",\r\n      \"error\" : \"\",\r\n      \"expression\" : \"\",\r\n      \"children\" : [ ]\r\n    }, {\r\n      \"name\" : \"data\",\r\n      \"value\" : \"null\",\r\n      \"description\" : \"\",\r\n      \"required\" : false,\r\n      \"dataType\" : \"Object\",\r\n      \"type\" : null,\r\n      \"defaultValue\" : null,\r\n      \"validateType\" : \"\",\r\n      \"error\" : \"\",\r\n      \"expression\" : \"\",\r\n      \"children\" : [ ]\r\n    }, {\r\n      \"name\" : \"timestamp\",\r\n      \"value\" : \"1634093332235\",\r\n      \"description\" : \"\",\r\n      \"required\" : false,\r\n      \"dataType\" : \"Long\",\r\n      \"type\" : null,\r\n      \"defaultValue\" : null,\r\n      \"validateType\" : \"\",\r\n      \"error\" : \"\",\r\n      \"expression\" : \"\",\r\n      \"children\" : [ ]\r\n    }, {\r\n      \"name\" : \"executeTime\",\r\n      \"value\" : \"null\",\r\n      \"description\" : \"\",\r\n      \"required\" : false,\r\n      \"dataType\" : \"Object\",\r\n      \"type\" : null,\r\n      \"defaultValue\" : null,\r\n      \"validateType\" : \"\",\r\n      \"error\" : \"\",\r\n      \"expression\" : \"\",\r\n      \"children\" : [ ]\r\n    } ]\r\n  },\r\n  \"optionMap\" : { }\r\n}\r\n================================\r\nimport \'cn.dev33.satoken.stp.StpUtil\';\r\nimport \"@post:/security/permissions\" as authoritiesList; \r\n\r\nvar user = db.table(\"sys_user\").where().eq(\"id\",StpUtil.getLoginId()).selectOne()\r\nuser.authorities = authoritiesList()\r\nreturn user');
INSERT INTO `magic_api_file` VALUES ('/magic-api/api/后台/数据字典/', 'this is directory');
INSERT INTO `magic_api_file` VALUES ('/magic-api/api/后台/数据字典/group.json', '{\r\n  \"properties\" : { },\r\n  \"id\" : \"c7ce65f5b3cf4aaa913f6fec7d35d176\",\r\n  \"name\" : \"数据字典\",\r\n  \"type\" : \"1\",\r\n  \"parentId\" : \"02df51e4d7184780a98b632f43dc5848\",\r\n  \"path\" : \"/dict\",\r\n  \"paths\" : [ ],\r\n  \"options\" : [ ]\r\n}');
INSERT INTO `magic_api_file` VALUES ('/magic-api/api/后台/数据字典/字典项/获取所有字典项.ms', '{\r\n  \"properties\" : { },\r\n  \"id\" : \"18b186e0712449efa4e34c9ee75b0704\",\r\n  \"script\" : null,\r\n  \"groupId\" : \"376f26eb43a44a3daeafd27020a96f48\",\r\n  \"name\" : \"获取所有字典项\",\r\n  \"createTime\" : null,\r\n  \"updateTime\" : 1634093808909,\r\n  \"lock\" : \"0\",\r\n  \"method\" : \"GET\",\r\n  \"path\" : \"/all\",\r\n  \"parameters\" : [ ],\r\n  \"option\" : \"[]\",\r\n  \"requestBody\" : \"{\\r\\n\\t\\r\\n}\",\r\n  \"headers\" : [ ],\r\n  \"paths\" : [ ],\r\n  \"responseBody\" : \"{\\n    \\\"code\\\": 402,\\n    \\\"message\\\": \\\"凭证已过期\\\",\\n    \\\"data\\\": null,\\n    \\\"timestamp\\\": 1634093797926,\\n    \\\"executeTime\\\": null\\n}\",\r\n  \"description\" : null,\r\n  \"requestBodyDefinition\" : null,\r\n  \"responseBodyDefinition\" : {\r\n    \"name\" : \"\",\r\n    \"value\" : \"\",\r\n    \"description\" : \"\",\r\n    \"required\" : false,\r\n    \"dataType\" : \"Object\",\r\n    \"type\" : null,\r\n    \"defaultValue\" : null,\r\n    \"validateType\" : \"\",\r\n    \"error\" : \"\",\r\n    \"expression\" : \"\",\r\n    \"children\" : [ {\r\n      \"name\" : \"code\",\r\n      \"value\" : \"402\",\r\n      \"description\" : \"\",\r\n      \"required\" : false,\r\n      \"dataType\" : \"Integer\",\r\n      \"type\" : null,\r\n      \"defaultValue\" : null,\r\n      \"validateType\" : \"\",\r\n      \"error\" : \"\",\r\n      \"expression\" : \"\",\r\n      \"children\" : [ ]\r\n    }, {\r\n      \"name\" : \"message\",\r\n      \"value\" : \"凭证已过期\",\r\n      \"description\" : \"\",\r\n      \"required\" : false,\r\n      \"dataType\" : \"String\",\r\n      \"type\" : null,\r\n      \"defaultValue\" : null,\r\n      \"validateType\" : \"\",\r\n      \"error\" : \"\",\r\n      \"expression\" : \"\",\r\n      \"children\" : [ ]\r\n    }, {\r\n      \"name\" : \"data\",\r\n      \"value\" : \"null\",\r\n      \"description\" : \"\",\r\n      \"required\" : false,\r\n      \"dataType\" : \"Object\",\r\n      \"type\" : null,\r\n      \"defaultValue\" : null,\r\n      \"validateType\" : \"\",\r\n      \"error\" : \"\",\r\n      \"expression\" : \"\",\r\n      \"children\" : [ ]\r\n    }, {\r\n      \"name\" : \"timestamp\",\r\n      \"value\" : \"1634093797926\",\r\n      \"description\" : \"\",\r\n      \"required\" : false,\r\n      \"dataType\" : \"Long\",\r\n      \"type\" : null,\r\n      \"defaultValue\" : null,\r\n      \"validateType\" : \"\",\r\n      \"error\" : \"\",\r\n      \"expression\" : \"\",\r\n      \"children\" : [ ]\r\n    }, {\r\n      \"name\" : \"executeTime\",\r\n      \"value\" : \"null\",\r\n      \"description\" : \"\",\r\n      \"required\" : false,\r\n      \"dataType\" : \"Object\",\r\n      \"type\" : null,\r\n      \"defaultValue\" : null,\r\n      \"validateType\" : \"\",\r\n      \"error\" : \"\",\r\n      \"expression\" : \"\",\r\n      \"children\" : [ ]\r\n    } ]\r\n  },\r\n  \"optionMap\" : { }\r\n}\r\n================================\r\nreturn db.select(\"\"\"\r\n    select label,value,d.type from sys_dict_items it left join sys_dict d on d.id = it.dict_id where it.is_del = \'0\' and d.is_del = \'0\' order by it.sort\r\n\"\"\")');
INSERT INTO `magic_api_file` VALUES ('/magic-api/api/后台/数据字典/字典项/', 'this is directory');
INSERT INTO `magic_api_file` VALUES ('/magic-api/api/后台/数据字典/字典项/group.json', '{\r\n  \"properties\" : { },\r\n  \"id\" : \"376f26eb43a44a3daeafd27020a96f48\",\r\n  \"name\" : \"字典项\",\r\n  \"type\" : \"1\",\r\n  \"parentId\" : \"c7ce65f5b3cf4aaa913f6fec7d35d176\",\r\n  \"path\" : \"/items\",\r\n  \"paths\" : [ ],\r\n  \"options\" : [ ]\r\n}');
INSERT INTO `magic_api_file` VALUES ('/magic-api/api/后台/配置/', 'this is directory');
INSERT INTO `magic_api_file` VALUES ('/magic-api/api/后台/配置/group.json', '{\r\n  \"properties\" : { },\r\n  \"id\" : \"5c36bdc1de454d6e9d1a464d87c96091\",\r\n  \"name\" : \"配置\",\r\n  \"type\" : \"1\",\r\n  \"parentId\" : \"02df51e4d7184780a98b632f43dc5848\",\r\n  \"path\" : \"/config\",\r\n  \"paths\" : [ ],\r\n  \"options\" : [ ]\r\n}');
INSERT INTO `magic_api_file` VALUES ('/magic-api/api/后台/配置/获取所有配置.ms', '{\r\n  \"properties\" : { },\r\n  \"id\" : \"cd127e22d1de486780316887a73996f0\",\r\n  \"script\" : null,\r\n  \"groupId\" : \"5c36bdc1de454d6e9d1a464d87c96091\",\r\n  \"name\" : \"获取所有配置\",\r\n  \"createTime\" : null,\r\n  \"updateTime\" : 1634132919797,\r\n  \"lock\" : \"0\",\r\n  \"method\" : \"GET\",\r\n  \"path\" : \"/list\",\r\n  \"parameters\" : [ ],\r\n  \"option\" : \"[]\",\r\n  \"requestBody\" : \"\",\r\n  \"headers\" : [ ],\r\n  \"paths\" : [ ],\r\n  \"responseBody\" : null,\r\n  \"description\" : null,\r\n  \"requestBodyDefinition\" : null,\r\n  \"responseBodyDefinition\" : null,\r\n  \"optionMap\" : { }\r\n}\r\n================================\r\nreturn {\r\n    filePrefix: \'1\'\r\n}');
INSERT INTO `magic_api_file` VALUES ('/magic-api/api/后台/菜单管理/', 'this is directory');
INSERT INTO `magic_api_file` VALUES ('/magic-api/api/后台/菜单管理/group.json', '{\r\n  \"properties\" : { },\r\n  \"id\" : \"67b2ce258e24491194b74992958c74aa\",\r\n  \"name\" : \"菜单管理\",\r\n  \"type\" : \"1\",\r\n  \"parentId\" : \"02df51e4d7184780a98b632f43dc5848\",\r\n  \"path\" : \"/menu\",\r\n  \"paths\" : [ ],\r\n  \"options\" : [ ]\r\n}');
INSERT INTO `magic_api_file` VALUES ('/magic-api/api/后台/菜单管理/当前用户菜单.ms', '{\r\n  \"properties\" : { },\r\n  \"id\" : \"f608811b430f4a3cb82feed4067cde71\",\r\n  \"script\" : null,\r\n  \"groupId\" : \"67b2ce258e24491194b74992958c74aa\",\r\n  \"name\" : \"当前用户菜单\",\r\n  \"createTime\" : null,\r\n  \"updateTime\" : 1634216942784,\r\n  \"lock\" : \"0\",\r\n  \"method\" : \"POST\",\r\n  \"path\" : \"/current/menus\",\r\n  \"parameters\" : [ ],\r\n  \"option\" : \"[]\",\r\n  \"requestBody\" : \"\",\r\n  \"headers\" : [ ],\r\n  \"paths\" : [ ],\r\n  \"responseBody\" : \"{\\n    \\\"code\\\": 200,\\n    \\\"message\\\": \\\"success\\\",\\n    \\\"data\\\": [\\n        {\\n            \\\"id\\\": \\\"b1851d1b13594e71840103c11a37a669\\\",\\n            \\\"name\\\": \\\"系统设置\\\",\\n            \\\"pid\\\": \\\"82de38c53fbe4c4185e31d972d8c2d5e\\\",\\n            \\\"isShow\\\": 1,\\n            \\\"url\\\": \\\"/system\\\",\\n            \\\"sort\\\": 10,\\n            \\\"component\\\": \\\"Layout\\\",\\n            \\\"path\\\": \\\"/system\\\",\\n            \\\"meta\\\": {\\n                \\\"title\\\": \\\"系统设置\\\"\\n            },\\n            \\\"redirect\\\": \\\"noRedirect\\\",\\n            \\\"alwaysShow\\\": true,\\n            \\\"children\\\": [\\n                {\\n                    \\\"id\\\": \\\"39be13ef6f0745568c80bf35202ddb2b\\\",\\n                    \\\"name\\\": \\\"菜单管理\\\",\\n                    \\\"pid\\\": \\\"b1851d1b13594e71840103c11a37a669\\\",\\n                    \\\"isShow\\\": 1,\\n                    \\\"url\\\": \\\"/system/menu/menu-list\\\",\\n                    \\\"sort\\\": 10,\\n                    \\\"component\\\": \\\"/system/menu/menu-list\\\",\\n                    \\\"path\\\": \\\"/system/menu/menu-list\\\",\\n                    \\\"meta\\\": {\\n                        \\\"title\\\": \\\"菜单管理\\\"\\n                    }\\n                },\\n                {\\n                    \\\"id\\\": \\\"6f3594d0-5445-41e1-a13c-890a57485036\\\",\\n                    \\\"name\\\": \\\"组织机构\\\",\\n                    \\\"pid\\\": \\\"b1851d1b13594e71840103c11a37a669\\\",\\n                    \\\"isShow\\\": 1,\\n                    \\\"url\\\": \\\"/system/office/office-list\\\",\\n                    \\\"sort\\\": 20,\\n                    \\\"component\\\": \\\"/system/office/office-list\\\",\\n                    \\\"path\\\": \\\"/system/office/office-list\\\",\\n                    \\\"meta\\\": {\\n                        \\\"title\\\": \\\"组织机构\\\"\\n                    }\\n                },\\n                {\\n                    \\\"id\\\": \\\"8e9455740091486c914495cfb0c7faa5\\\",\\n                    \\\"name\\\": \\\"角色管理\\\",\\n                    \\\"pid\\\": \\\"b1851d1b13594e71840103c11a37a669\\\",\\n                    \\\"isShow\\\": 1,\\n                    \\\"url\\\": \\\"/system/role/role-list\\\",\\n                    \\\"sort\\\": 40,\\n                    \\\"component\\\": \\\"/system/role/role-list\\\",\\n                    \\\"path\\\": \\\"/system/role/role-list\\\",\\n                    \\\"meta\\\": {\\n                        \\\"title\\\": \\\"角色管理\\\"\\n                    }\\n                },\\n                {\\n                    \\\"id\\\": \\\"06b8a427e4cd4c1ba11752070f565f20\\\",\\n                    \\\"name\\\": \\\"用户管理\\\",\\n                    \\\"pid\\\": \\\"b1851d1b13594e71840103c11a37a669\\\",\\n                    \\\"isShow\\\": 1,\\n                    \\\"url\\\": \\\"/system/user/user-list\\\",\\n                    \\\"sort\\\": 50,\\n                    \\\"component\\\": \\\"/system/user/user-list\\\",\\n                    \\\"path\\\": \\\"/system/user/user-list\\\",\\n                    \\\"meta\\\": {\\n                        \\\"title\\\": \\\"用户管理\\\"\\n                    }\\n                },\\n                {\\n                    \\\"id\\\": \\\"c5f407478c4e4c9cbcdbee6389d2c909\\\",\\n                    \\\"name\\\": \\\"数据字典\\\",\\n                    \\\"pid\\\": \\\"b1851d1b13594e71840103c11a37a669\\\",\\n                    \\\"isShow\\\": 1,\\n                    \\\"url\\\": \\\"/system/dict/dict-list\\\",\\n                    \\\"sort\\\": 60,\\n                    \\\"component\\\": \\\"/system/dict/dict-list\\\",\\n                    \\\"path\\\": \\\"/system/dict/dict-list\\\",\\n                    \\\"meta\\\": {\\n                        \\\"title\\\": \\\"数据字典\\\"\\n                    }\\n                },\\n                {\\n                    \\\"id\\\": \\\"da801842-9d64-4d3c-a912-732d47373061\\\",\\n                    \\\"name\\\": \\\"接口管理\\\",\\n                    \\\"pid\\\": \\\"b1851d1b13594e71840103c11a37a669\\\",\\n                    \\\"isShow\\\": 1,\\n                    \\\"url\\\": \\\"/magic/magic-api\\\",\\n                    \\\"sort\\\": 70,\\n                    \\\"component\\\": \\\"/magic/magic-api\\\",\\n                    \\\"path\\\": \\\"/magic/magic-api\\\",\\n                    \\\"meta\\\": {\\n                        \\\"title\\\": \\\"接口管理\\\"\\n                    }\\n                }\\n            ]\\n        },\\n        {\\n            \\\"id\\\": \\\"641253af-8ea1-4b5d-8bc3-a7165ef60ff2\\\",\\n            \\\"name\\\": \\\"一些例子\\\",\\n            \\\"pid\\\": \\\"82de38c53fbe4c4185e31d972d8c2d5e\\\",\\n            \\\"isShow\\\": 1,\\n            \\\"url\\\": \\\"/examples\\\",\\n            \\\"sort\\\": 20,\\n            \\\"component\\\": \\\"Layout\\\",\\n            \\\"path\\\": \\\"/examples\\\",\\n            \\\"meta\\\": {\\n                \\\"title\\\": \\\"一些例子\\\"\\n            },\\n            \\\"redirect\\\": \\\"noRedirect\\\",\\n            \\\"alwaysShow\\\": true,\\n            \\\"children\\\": [\\n                {\\n                    \\\"id\\\": \\\"dc332875-831e-4937-86ff-0c7420915ce9\\\",\\n                    \\\"name\\\": \\\"三级联动\\\",\\n                    \\\"pid\\\": \\\"641253af-8ea1-4b5d-8bc3-a7165ef60ff2\\\",\\n                    \\\"isShow\\\": 1,\\n                    \\\"url\\\": \\\"/examples/three-linkage\\\",\\n                    \\\"sort\\\": 10,\\n                    \\\"component\\\": \\\"/examples/three-linkage\\\",\\n                    \\\"path\\\": \\\"/examples/three-linkage\\\",\\n                    \\\"meta\\\": {\\n                        \\\"title\\\": \\\"三级联动\\\"\\n                    }\\n                },\\n                {\\n                    \\\"id\\\": \\\"f09410d5-5043-4164-9f68-8d135de71b29\\\",\\n                    \\\"name\\\": \\\"上传文件\\\",\\n                    \\\"pid\\\": \\\"641253af-8ea1-4b5d-8bc3-a7165ef60ff2\\\",\\n                    \\\"isShow\\\": 1,\\n                    \\\"url\\\": \\\"/examples/upload-file\\\",\\n                    \\\"sort\\\": 20,\\n                    \\\"component\\\": \\\"/examples/upload-file\\\",\\n                    \\\"path\\\": \\\"/examples/upload-file\\\",\\n                    \\\"meta\\\": {\\n                        \\\"title\\\": \\\"上传文件\\\"\\n                    }\\n                },\\n                {\\n                    \\\"id\\\": \\\"74c852ea-be4b-4533-b146-cfbd776045d5\\\",\\n                    \\\"name\\\": \\\"富文本\\\",\\n                    \\\"pid\\\": \\\"641253af-8ea1-4b5d-8bc3-a7165ef60ff2\\\",\\n                    \\\"isShow\\\": 1,\\n                    \\\"url\\\": \\\"/examples/ueditor-example\\\",\\n                    \\\"sort\\\": 30,\\n                    \\\"component\\\": \\\"/examples/ueditor-example\\\",\\n                    \\\"path\\\": \\\"/examples/ueditor-example\\\",\\n                    \\\"meta\\\": {\\n                        \\\"title\\\": \\\"富文本\\\"\\n                    }\\n                },\\n                {\\n                    \\\"id\\\": \\\"91bdb7d742a64a8c8a8fdc6d3bb61581\\\",\\n                    \\\"name\\\": \\\"可编辑表格\\\",\\n                    \\\"pid\\\": \\\"641253af-8ea1-4b5d-8bc3-a7165ef60ff2\\\",\\n                    \\\"isShow\\\": 1,\\n                    \\\"url\\\": \\\"/examples/editor-table\\\",\\n                    \\\"sort\\\": 40,\\n                    \\\"component\\\": \\\"/examples/editor-table\\\",\\n                    \\\"path\\\": \\\"/examples/editor-table\\\",\\n                    \\\"meta\\\": {\\n                        \\\"title\\\": \\\"可编辑表格\\\"\\n                    }\\n                },\\n                {\\n                    \\\"id\\\": \\\"0ca23f378d794b23b935d6045bb54915\\\",\\n                    \\\"name\\\": \\\"页面设计\\\",\\n                    \\\"pid\\\": \\\"641253af-8ea1-4b5d-8bc3-a7165ef60ff2\\\",\\n                    \\\"isShow\\\": 1,\\n                    \\\"url\\\": \\\"/examples/page-design\\\",\\n                    \\\"sort\\\": 50,\\n                    \\\"component\\\": \\\"/examples/page-design\\\",\\n                    \\\"path\\\": \\\"/examples/page-design\\\",\\n                    \\\"meta\\\": {\\n                        \\\"title\\\": \\\"页面设计\\\"\\n                    }\\n                },\\n                {\\n                    \\\"id\\\": \\\"2664b76cb2904227bce5b0f7d1dd6e7b\\\",\\n                    \\\"name\\\": \\\"下拉框\\\",\\n                    \\\"pid\\\": \\\"641253af-8ea1-4b5d-8bc3-a7165ef60ff2\\\",\\n                    \\\"isShow\\\": 1,\\n                    \\\"url\\\": \\\"/examples/select-example\\\",\\n                    \\\"sort\\\": 60,\\n                    \\\"component\\\": \\\"/examples/select-example\\\",\\n                    \\\"path\\\": \\\"/examples/select-example\\\",\\n                    \\\"meta\\\": {\\n                        \\\"title\\\": \\\"下拉框\\\"\\n                    }\\n                }\\n            ]\\n        }\\n    ],\\n    \\\"timestamp\\\": 1634135501673,\\n    \\\"executeTime\\\": 20\\n}\",\r\n  \"description\" : null,\r\n  \"requestBodyDefinition\" : null,\r\n  \"responseBodyDefinition\" : {\r\n    \"name\" : \"\",\r\n    \"value\" : \"\",\r\n    \"description\" : \"\",\r\n    \"required\" : false,\r\n    \"dataType\" : \"Object\",\r\n    \"type\" : null,\r\n    \"defaultValue\" : null,\r\n    \"validateType\" : \"\",\r\n    \"error\" : \"\",\r\n    \"expression\" : \"\",\r\n    \"children\" : [ {\r\n      \"name\" : \"code\",\r\n      \"value\" : \"200\",\r\n      \"description\" : \"\",\r\n      \"required\" : false,\r\n      \"dataType\" : \"Integer\",\r\n      \"type\" : null,\r\n      \"defaultValue\" : null,\r\n      \"validateType\" : \"\",\r\n      \"error\" : \"\",\r\n      \"expression\" : \"\",\r\n      \"children\" : [ ]\r\n    }, {\r\n      \"name\" : \"message\",\r\n      \"value\" : \"success\",\r\n      \"description\" : \"\",\r\n      \"required\" : false,\r\n      \"dataType\" : \"String\",\r\n      \"type\" : null,\r\n      \"defaultValue\" : null,\r\n      \"validateType\" : \"\",\r\n      \"error\" : \"\",\r\n      \"expression\" : \"\",\r\n      \"children\" : [ ]\r\n    }, {\r\n      \"name\" : \"data\",\r\n      \"value\" : \"\",\r\n      \"description\" : \"\",\r\n      \"required\" : false,\r\n      \"dataType\" : \"Array\",\r\n      \"type\" : null,\r\n      \"defaultValue\" : null,\r\n      \"validateType\" : \"\",\r\n      \"error\" : \"\",\r\n      \"expression\" : \"\",\r\n      \"children\" : [ {\r\n        \"name\" : \"82de38c53fbe4c4185e31d972d8c2d5e\",\r\n        \"value\" : \"\",\r\n        \"description\" : \"\",\r\n        \"required\" : false,\r\n        \"dataType\" : \"Object\",\r\n        \"type\" : null,\r\n        \"defaultValue\" : null,\r\n        \"validateType\" : \"\",\r\n        \"error\" : \"\",\r\n        \"expression\" : \"\",\r\n        \"children\" : [ {\r\n          \"name\" : \"id\",\r\n          \"value\" : \"b1851d1b13594e71840103c11a37a669\",\r\n          \"description\" : \"\",\r\n          \"required\" : false,\r\n          \"dataType\" : \"String\",\r\n          \"type\" : null,\r\n          \"defaultValue\" : null,\r\n          \"validateType\" : \"\",\r\n          \"error\" : \"\",\r\n          \"expression\" : \"\",\r\n          \"children\" : [ ]\r\n        }, {\r\n          \"name\" : \"name\",\r\n          \"value\" : \"系统设置\",\r\n          \"description\" : \"\",\r\n          \"required\" : false,\r\n          \"dataType\" : \"String\",\r\n          \"type\" : null,\r\n          \"defaultValue\" : null,\r\n          \"validateType\" : \"\",\r\n          \"error\" : \"\",\r\n          \"expression\" : \"\",\r\n          \"children\" : [ ]\r\n        }, {\r\n          \"name\" : \"pid\",\r\n          \"value\" : \"82de38c53fbe4c4185e31d972d8c2d5e\",\r\n          \"description\" : \"\",\r\n          \"required\" : false,\r\n          \"dataType\" : \"String\",\r\n          \"type\" : null,\r\n          \"defaultValue\" : null,\r\n          \"validateType\" : \"\",\r\n          \"error\" : \"\",\r\n          \"expression\" : \"\",\r\n          \"children\" : [ ]\r\n        }, {\r\n          \"name\" : \"isShow\",\r\n          \"value\" : \"1\",\r\n          \"description\" : \"\",\r\n          \"required\" : false,\r\n          \"dataType\" : \"Integer\",\r\n          \"type\" : null,\r\n          \"defaultValue\" : null,\r\n          \"validateType\" : \"\",\r\n          \"error\" : \"\",\r\n          \"expression\" : \"\",\r\n          \"children\" : [ ]\r\n        }, {\r\n          \"name\" : \"url\",\r\n          \"value\" : \"/system\",\r\n          \"description\" : \"\",\r\n          \"required\" : false,\r\n          \"dataType\" : \"String\",\r\n          \"type\" : null,\r\n          \"defaultValue\" : null,\r\n          \"validateType\" : \"\",\r\n          \"error\" : \"\",\r\n          \"expression\" : \"\",\r\n          \"children\" : [ ]\r\n        }, {\r\n          \"name\" : \"sort\",\r\n          \"value\" : \"10\",\r\n          \"description\" : \"\",\r\n          \"required\" : false,\r\n          \"dataType\" : \"Integer\",\r\n          \"type\" : null,\r\n          \"defaultValue\" : null,\r\n          \"validateType\" : \"\",\r\n          \"error\" : \"\",\r\n          \"expression\" : \"\",\r\n          \"children\" : [ ]\r\n        }, {\r\n          \"name\" : \"component\",\r\n          \"value\" : \"Layout\",\r\n          \"description\" : \"\",\r\n          \"required\" : false,\r\n          \"dataType\" : \"String\",\r\n          \"type\" : null,\r\n          \"defaultValue\" : null,\r\n          \"validateType\" : \"\",\r\n          \"error\" : \"\",\r\n          \"expression\" : \"\",\r\n          \"children\" : [ ]\r\n        }, {\r\n          \"name\" : \"path\",\r\n          \"value\" : \"/system\",\r\n          \"description\" : \"\",\r\n          \"required\" : false,\r\n          \"dataType\" : \"String\",\r\n          \"type\" : null,\r\n          \"defaultValue\" : null,\r\n          \"validateType\" : \"\",\r\n          \"error\" : \"\",\r\n          \"expression\" : \"\",\r\n          \"children\" : [ ]\r\n        }, {\r\n          \"name\" : \"meta\",\r\n          \"value\" : \"\",\r\n          \"description\" : \"\",\r\n          \"required\" : false,\r\n          \"dataType\" : \"Object\",\r\n          \"type\" : null,\r\n          \"defaultValue\" : null,\r\n          \"validateType\" : \"\",\r\n          \"error\" : \"\",\r\n          \"expression\" : \"\",\r\n          \"children\" : [ {\r\n            \"name\" : \"title\",\r\n            \"value\" : \"系统设置\",\r\n            \"description\" : \"\",\r\n            \"required\" : false,\r\n            \"dataType\" : \"String\",\r\n            \"type\" : null,\r\n            \"defaultValue\" : null,\r\n            \"validateType\" : \"\",\r\n            \"error\" : \"\",\r\n            \"expression\" : \"\",\r\n            \"children\" : [ ]\r\n          } ]\r\n        }, {\r\n          \"name\" : \"redirect\",\r\n          \"value\" : \"noRedirect\",\r\n          \"description\" : \"\",\r\n          \"required\" : false,\r\n          \"dataType\" : \"String\",\r\n          \"type\" : null,\r\n          \"defaultValue\" : null,\r\n          \"validateType\" : \"\",\r\n          \"error\" : \"\",\r\n          \"expression\" : \"\",\r\n          \"children\" : [ ]\r\n        }, {\r\n          \"name\" : \"alwaysShow\",\r\n          \"value\" : \"true\",\r\n          \"description\" : \"\",\r\n          \"required\" : false,\r\n          \"dataType\" : \"Boolean\",\r\n          \"type\" : null,\r\n          \"defaultValue\" : null,\r\n          \"validateType\" : \"\",\r\n          \"error\" : \"\",\r\n          \"expression\" : \"\",\r\n          \"children\" : [ ]\r\n        }, {\r\n          \"name\" : \"children\",\r\n          \"value\" : \"\",\r\n          \"description\" : \"\",\r\n          \"required\" : false,\r\n          \"dataType\" : \"Array\",\r\n          \"type\" : null,\r\n          \"defaultValue\" : null,\r\n          \"validateType\" : \"\",\r\n          \"error\" : \"\",\r\n          \"expression\" : \"\",\r\n          \"children\" : [ {\r\n            \"name\" : \"\",\r\n            \"value\" : \"\",\r\n            \"description\" : \"\",\r\n            \"required\" : false,\r\n            \"dataType\" : \"Object\",\r\n            \"type\" : null,\r\n            \"defaultValue\" : null,\r\n            \"validateType\" : \"\",\r\n            \"error\" : \"\",\r\n            \"expression\" : \"\",\r\n            \"children\" : [ {\r\n              \"name\" : \"id\",\r\n              \"value\" : \"39be13ef6f0745568c80bf35202ddb2b\",\r\n              \"description\" : \"\",\r\n              \"required\" : false,\r\n              \"dataType\" : \"String\",\r\n              \"type\" : null,\r\n              \"defaultValue\" : null,\r\n              \"validateType\" : \"\",\r\n              \"error\" : \"\",\r\n              \"expression\" : \"\",\r\n              \"children\" : [ ]\r\n            }, {\r\n              \"name\" : \"name\",\r\n              \"value\" : \"菜单管理\",\r\n              \"description\" : \"\",\r\n              \"required\" : false,\r\n              \"dataType\" : \"String\",\r\n              \"type\" : null,\r\n              \"defaultValue\" : null,\r\n              \"validateType\" : \"\",\r\n              \"error\" : \"\",\r\n              \"expression\" : \"\",\r\n              \"children\" : [ ]\r\n            }, {\r\n              \"name\" : \"pid\",\r\n              \"value\" : \"b1851d1b13594e71840103c11a37a669\",\r\n              \"description\" : \"\",\r\n              \"required\" : false,\r\n              \"dataType\" : \"String\",\r\n              \"type\" : null,\r\n              \"defaultValue\" : null,\r\n              \"validateType\" : \"\",\r\n              \"error\" : \"\",\r\n              \"expression\" : \"\",\r\n              \"children\" : [ ]\r\n            }, {\r\n              \"name\" : \"isShow\",\r\n              \"value\" : \"1\",\r\n              \"description\" : \"\",\r\n              \"required\" : false,\r\n              \"dataType\" : \"Integer\",\r\n              \"type\" : null,\r\n              \"defaultValue\" : null,\r\n              \"validateType\" : \"\",\r\n              \"error\" : \"\",\r\n              \"expression\" : \"\",\r\n              \"children\" : [ ]\r\n            }, {\r\n              \"name\" : \"url\",\r\n              \"value\" : \"/system/menu/menu-list\",\r\n              \"description\" : \"\",\r\n              \"required\" : false,\r\n              \"dataType\" : \"String\",\r\n              \"type\" : null,\r\n              \"defaultValue\" : null,\r\n              \"validateType\" : \"\",\r\n              \"error\" : \"\",\r\n              \"expression\" : \"\",\r\n              \"children\" : [ ]\r\n            }, {\r\n              \"name\" : \"sort\",\r\n              \"value\" : \"10\",\r\n              \"description\" : \"\",\r\n              \"required\" : false,\r\n              \"dataType\" : \"Integer\",\r\n              \"type\" : null,\r\n              \"defaultValue\" : null,\r\n              \"validateType\" : \"\",\r\n              \"error\" : \"\",\r\n              \"expression\" : \"\",\r\n              \"children\" : [ ]\r\n            }, {\r\n              \"name\" : \"component\",\r\n              \"value\" : \"/system/menu/menu-list\",\r\n              \"description\" : \"\",\r\n              \"required\" : false,\r\n              \"dataType\" : \"String\",\r\n              \"type\" : null,\r\n              \"defaultValue\" : null,\r\n              \"validateType\" : \"\",\r\n              \"error\" : \"\",\r\n              \"expression\" : \"\",\r\n              \"children\" : [ ]\r\n            }, {\r\n              \"name\" : \"path\",\r\n              \"value\" : \"/system/menu/menu-list\",\r\n              \"description\" : \"\",\r\n              \"required\" : false,\r\n              \"dataType\" : \"String\",\r\n              \"type\" : null,\r\n              \"defaultValue\" : null,\r\n              \"validateType\" : \"\",\r\n              \"error\" : \"\",\r\n              \"expression\" : \"\",\r\n              \"children\" : [ ]\r\n            }, {\r\n              \"name\" : \"meta\",\r\n              \"value\" : \"\",\r\n              \"description\" : \"\",\r\n              \"required\" : false,\r\n              \"dataType\" : \"Object\",\r\n              \"type\" : null,\r\n              \"defaultValue\" : null,\r\n              \"validateType\" : \"\",\r\n              \"error\" : \"\",\r\n              \"expression\" : \"\",\r\n              \"children\" : [ {\r\n                \"name\" : \"title\",\r\n                \"value\" : \"菜单管理\",\r\n                \"description\" : \"\",\r\n                \"required\" : false,\r\n                \"dataType\" : \"String\",\r\n                \"type\" : null,\r\n                \"defaultValue\" : null,\r\n                \"validateType\" : \"\",\r\n                \"error\" : \"\",\r\n                \"expression\" : \"\",\r\n                \"children\" : [ ]\r\n              } ]\r\n            } ]\r\n          } ]\r\n        } ]\r\n      } ]\r\n    }, {\r\n      \"name\" : \"timestamp\",\r\n      \"value\" : \"1634135501673\",\r\n      \"description\" : \"\",\r\n      \"required\" : false,\r\n      \"dataType\" : \"Long\",\r\n      \"type\" : null,\r\n      \"defaultValue\" : null,\r\n      \"validateType\" : \"\",\r\n      \"error\" : \"\",\r\n      \"expression\" : \"\",\r\n      \"children\" : [ ]\r\n    }, {\r\n      \"name\" : \"executeTime\",\r\n      \"value\" : \"20\",\r\n      \"description\" : \"\",\r\n      \"required\" : false,\r\n      \"dataType\" : \"Integer\",\r\n      \"type\" : null,\r\n      \"defaultValue\" : null,\r\n      \"validateType\" : \"\",\r\n      \"error\" : \"\",\r\n      \"expression\" : \"\",\r\n      \"children\" : [ ]\r\n    } ]\r\n  },\r\n  \"optionMap\" : { }\r\n}\r\n================================\r\nimport \'cn.dev33.satoken.stp.StpUtil\';\r\n\r\nvar userId = StpUtil.getLoginId()\r\nvar menus = db.select(\"\"\"\r\n    SELECT DISTINCT\r\n        sm.id,\r\n        sm.name,\r\n        sm.pid,\r\n        sm.is_show,\r\n        sm.url,\r\n        sm.sort\r\n    FROM\r\n        sys_menu sm\r\n        left JOIN sys_role_menu srm ON sm.id = srm.menu_id\r\n        left JOIN sys_user_role sur ON sur.role_id = srm.role_id\r\n        left JOIN sys_user su ON su.id = sur.user_id \r\n        ?{userId != \'1\', AND su.id = #{userId}} and su.is_del = 0 where sm.is_del = 0 and sm.is_show = 1 order by sort\r\n\"\"\")\r\n\r\nfor(menu in menus){\r\n    menu.component = (menu.url || \"Layout\");\r\n    menu.path = (menu.component == \'Layout\' ? \"/\" : menu.component);\r\n    menu.meta = {}\r\n    menu.meta.title = menu.name\r\n}\r\nvar nodes = menus.toMap(it => it.id)\r\nnodes.each((key, node) => {\r\n    if (nodes.containsKey(node.pid)) {\r\n        nodes[node.pid].redirect = \"noRedirect\";\r\n        nodes[node.pid].component = \"Layout\";\r\n        nodes[node.pid].alwaysShow = true;\r\n        if(!nodes[node.pid].children){\r\n            nodes[node.pid].children = []\r\n        }\r\n        nodes[node.pid].children.push(node)\r\n    }\r\n})\r\nvar treeNodes = []\r\nnodes.each((key, node) => {\r\n    if(node.pid == \'0\'){\r\n        treeNodes.push(node)\r\n    }\r\n})\r\n\r\nreturn treeNodes');
INSERT INTO `magic_api_file` VALUES ('/magic-api/api/后台/菜单管理/获取菜单tree.ms', '{\r\n  \"properties\" : { },\r\n  \"id\" : \"ffb6988226d14e6789cc30193e008183\",\r\n  \"script\" : null,\r\n  \"groupId\" : \"67b2ce258e24491194b74992958c74aa\",\r\n  \"name\" : \"获取菜单tree\",\r\n  \"createTime\" : null,\r\n  \"updateTime\" : 1634309675366,\r\n  \"lock\" : \"0\",\r\n  \"method\" : \"GET\",\r\n  \"path\" : \"/tree\",\r\n  \"parameters\" : [ ],\r\n  \"option\" : \"[]\",\r\n  \"requestBody\" : \"{\\r\\n\\t\\r\\n}\",\r\n  \"headers\" : [ ],\r\n  \"paths\" : [ ],\r\n  \"responseBody\" : \"{\\n    \\\"code\\\": 402,\\n    \\\"message\\\": \\\"凭证已过期\\\",\\n    \\\"data\\\": null,\\n    \\\"timestamp\\\": 1634309660370,\\n    \\\"executeTime\\\": null\\n}\",\r\n  \"description\" : null,\r\n  \"requestBodyDefinition\" : null,\r\n  \"responseBodyDefinition\" : {\r\n    \"name\" : \"\",\r\n    \"value\" : \"\",\r\n    \"description\" : \"\",\r\n    \"required\" : false,\r\n    \"dataType\" : \"Object\",\r\n    \"type\" : null,\r\n    \"defaultValue\" : null,\r\n    \"validateType\" : \"\",\r\n    \"error\" : \"\",\r\n    \"expression\" : \"\",\r\n    \"children\" : [ {\r\n      \"name\" : \"code\",\r\n      \"value\" : \"402\",\r\n      \"description\" : \"\",\r\n      \"required\" : false,\r\n      \"dataType\" : \"Integer\",\r\n      \"type\" : null,\r\n      \"defaultValue\" : null,\r\n      \"validateType\" : \"\",\r\n      \"error\" : \"\",\r\n      \"expression\" : \"\",\r\n      \"children\" : [ ]\r\n    }, {\r\n      \"name\" : \"message\",\r\n      \"value\" : \"凭证已过期\",\r\n      \"description\" : \"\",\r\n      \"required\" : false,\r\n      \"dataType\" : \"String\",\r\n      \"type\" : null,\r\n      \"defaultValue\" : null,\r\n      \"validateType\" : \"\",\r\n      \"error\" : \"\",\r\n      \"expression\" : \"\",\r\n      \"children\" : [ ]\r\n    }, {\r\n      \"name\" : \"data\",\r\n      \"value\" : \"null\",\r\n      \"description\" : \"\",\r\n      \"required\" : false,\r\n      \"dataType\" : \"Object\",\r\n      \"type\" : null,\r\n      \"defaultValue\" : null,\r\n      \"validateType\" : \"\",\r\n      \"error\" : \"\",\r\n      \"expression\" : \"\",\r\n      \"children\" : [ ]\r\n    }, {\r\n      \"name\" : \"timestamp\",\r\n      \"value\" : \"1634309660370\",\r\n      \"description\" : \"\",\r\n      \"required\" : false,\r\n      \"dataType\" : \"Long\",\r\n      \"type\" : null,\r\n      \"defaultValue\" : null,\r\n      \"validateType\" : \"\",\r\n      \"error\" : \"\",\r\n      \"expression\" : \"\",\r\n      \"children\" : [ ]\r\n    }, {\r\n      \"name\" : \"executeTime\",\r\n      \"value\" : \"null\",\r\n      \"description\" : \"\",\r\n      \"required\" : false,\r\n      \"dataType\" : \"Object\",\r\n      \"type\" : null,\r\n      \"defaultValue\" : null,\r\n      \"validateType\" : \"\",\r\n      \"error\" : \"\",\r\n      \"expression\" : \"\",\r\n      \"children\" : [ ]\r\n    } ]\r\n  },\r\n  \"optionMap\" : { }\r\n}\r\n================================\r\nvar toTree = (list,pid) => select t.*,toTree(list,t.id) children from list t where t.pid = pid\r\nvar list = toTree(db.select(\'select id,name,pid,is_show,url,sort,permission,desc_ribe from sys_menu where is_del = 0 order by sort\'),\'0\')\r\n\r\nreturn {\r\n    list: list,\r\n    total: list.getLength()\r\n}');
INSERT INTO `magic_api_file` VALUES ('/magic-api/api/后台/菜单管理/保存.ms', '{\r\n  \"properties\" : { },\r\n  \"id\" : \"d6d05df1e8b14a6ebc270113b2cdd1ed\",\r\n  \"script\" : null,\r\n  \"groupId\" : \"67b2ce258e24491194b74992958c74aa\",\r\n  \"name\" : \"保存\",\r\n  \"createTime\" : null,\r\n  \"updateTime\" : 1634306785184,\r\n  \"lock\" : \"0\",\r\n  \"method\" : \"POST\",\r\n  \"path\" : \"/save\",\r\n  \"parameters\" : [ ],\r\n  \"option\" : \"[{\\\"name\\\":\\\"wrap_request_parameter\\\",\\\"value\\\":\\\"data\\\",\\\"description\\\":\\\"包装请求参数到一个变量中\\\"}]\",\r\n  \"requestBody\" : \"{}\",\r\n  \"headers\" : [ ],\r\n  \"paths\" : [ ],\r\n  \"responseBody\" : null,\r\n  \"description\" : null,\r\n  \"requestBodyDefinition\" : null,\r\n  \"responseBodyDefinition\" : null,\r\n  \"optionMap\" : {\r\n    \"wrap_request_parameter\" : \"data\"\r\n  }\r\n}\r\n================================\r\nreturn db.table(\"sys_menu\").primary(\"id\").saveOrUpdate(data);');
INSERT INTO `magic_api_file` VALUES ('/magic-api/api/后台/菜单管理/获取排序号.ms', '{\r\n  \"properties\" : { },\r\n  \"id\" : \"4f966df34dbe41ff8b9941da4671eb2d\",\r\n  \"script\" : null,\r\n  \"groupId\" : \"67b2ce258e24491194b74992958c74aa\",\r\n  \"name\" : \"获取排序号\",\r\n  \"createTime\" : null,\r\n  \"updateTime\" : 1634305983868,\r\n  \"lock\" : \"0\",\r\n  \"method\" : \"GET\",\r\n  \"path\" : \"/sort\",\r\n  \"parameters\" : [ {\r\n    \"name\" : \"pid\",\r\n    \"value\" : \"\",\r\n    \"description\" : \"\",\r\n    \"required\" : true,\r\n    \"dataType\" : \"String\",\r\n    \"type\" : null,\r\n    \"defaultValue\" : null,\r\n    \"validateType\" : null,\r\n    \"error\" : null,\r\n    \"expression\" : null,\r\n    \"children\" : null\r\n  } ],\r\n  \"option\" : \"[]\",\r\n  \"requestBody\" : \"\",\r\n  \"headers\" : [ ],\r\n  \"paths\" : [ ],\r\n  \"responseBody\" : null,\r\n  \"description\" : null,\r\n  \"requestBodyDefinition\" : null,\r\n  \"responseBodyDefinition\" : null,\r\n  \"optionMap\" : { }\r\n}\r\n================================\r\nreturn db.selectInt(\"\"\"select max(sort) + 10 from sys_menu where pid = #{pid} and is_del = \'0\'\"\"\") || 10;');
INSERT INTO `magic_api_file` VALUES ('/magic-api/api/后台/菜单管理/删除.ms', '{\r\n  \"properties\" : { },\r\n  \"id\" : \"3564ad867beb48898f85c44bd3f7aa3f\",\r\n  \"script\" : null,\r\n  \"groupId\" : \"67b2ce258e24491194b74992958c74aa\",\r\n  \"name\" : \"删除\",\r\n  \"createTime\" : null,\r\n  \"updateTime\" : 1634308237182,\r\n  \"lock\" : \"0\",\r\n  \"method\" : \"POST\",\r\n  \"path\" : \"/delete\",\r\n  \"parameters\" : [ ],\r\n  \"option\" : \"[]\",\r\n  \"requestBody\" : \"\",\r\n  \"headers\" : [ ],\r\n  \"paths\" : [ ],\r\n  \"responseBody\" : null,\r\n  \"description\" : null,\r\n  \"requestBodyDefinition\" : null,\r\n  \"responseBodyDefinition\" : null,\r\n  \"optionMap\" : { }\r\n}\r\n================================\r\nreturn db.table(\"sys_menu\").logic().where().eq(\"id\",id).delete();');
INSERT INTO `magic_api_file` VALUES ('/magic-api/api/后台/角色管理/', 'this is directory');
INSERT INTO `magic_api_file` VALUES ('/magic-api/api/后台/角色管理/group.json', '{\r\n  \"properties\" : { },\r\n  \"id\" : \"89130d496f6f467c88b22ae4a7f688eb\",\r\n  \"name\" : \"角色管理\",\r\n  \"type\" : \"1\",\r\n  \"parentId\" : \"02df51e4d7184780a98b632f43dc5848\",\r\n  \"path\" : \"/role\",\r\n  \"paths\" : [ ],\r\n  \"options\" : [ ]\r\n}');
INSERT INTO `magic_api_file` VALUES ('/magic-api/api/后台/角色管理/列表.ms', '{\r\n  \"properties\" : { },\r\n  \"id\" : \"9a204a5c8a8243f7b07e842f87d4d65b\",\r\n  \"script\" : null,\r\n  \"groupId\" : \"89130d496f6f467c88b22ae4a7f688eb\",\r\n  \"name\" : \"列表\",\r\n  \"createTime\" : null,\r\n  \"updateTime\" : 1634310016696,\r\n  \"lock\" : \"0\",\r\n  \"method\" : \"GET\",\r\n  \"path\" : \"/list\",\r\n  \"parameters\" : [ ],\r\n  \"option\" : \"[{\\\"name\\\":\\\"permission\\\",\\\"value\\\":\\\"role:view\\\",\\\"description\\\":\\\"允许拥有该权限的访问\\\"}]\",\r\n  \"requestBody\" : \"\",\r\n  \"headers\" : [ ],\r\n  \"paths\" : [ ],\r\n  \"responseBody\" : \"{\\n    \\\"code\\\": 200,\\n    \\\"message\\\": \\\"success\\\",\\n    \\\"data\\\": {\\n        \\\"total\\\": 1,\\n        \\\"list\\\": [\\n            {\\n                \\\"id\\\": \\\"1\\\",\\n                \\\"name\\\": \\\"管理员\\\"\\n            }\\n        ]\\n    },\\n    \\\"timestamp\\\": 1634309991187,\\n    \\\"executeTime\\\": 5\\n}\",\r\n  \"description\" : null,\r\n  \"requestBodyDefinition\" : null,\r\n  \"responseBodyDefinition\" : {\r\n    \"name\" : \"\",\r\n    \"value\" : \"\",\r\n    \"description\" : \"\",\r\n    \"required\" : false,\r\n    \"dataType\" : \"Object\",\r\n    \"type\" : null,\r\n    \"defaultValue\" : null,\r\n    \"validateType\" : \"\",\r\n    \"error\" : \"\",\r\n    \"expression\" : \"\",\r\n    \"children\" : [ {\r\n      \"name\" : \"code\",\r\n      \"value\" : \"200\",\r\n      \"description\" : \"\",\r\n      \"required\" : false,\r\n      \"dataType\" : \"Integer\",\r\n      \"type\" : null,\r\n      \"defaultValue\" : null,\r\n      \"validateType\" : \"\",\r\n      \"error\" : \"\",\r\n      \"expression\" : \"\",\r\n      \"children\" : [ ]\r\n    }, {\r\n      \"name\" : \"message\",\r\n      \"value\" : \"success\",\r\n      \"description\" : \"\",\r\n      \"required\" : false,\r\n      \"dataType\" : \"String\",\r\n      \"type\" : null,\r\n      \"defaultValue\" : null,\r\n      \"validateType\" : \"\",\r\n      \"error\" : \"\",\r\n      \"expression\" : \"\",\r\n      \"children\" : [ ]\r\n    }, {\r\n      \"name\" : \"data\",\r\n      \"value\" : \"\",\r\n      \"description\" : \"\",\r\n      \"required\" : false,\r\n      \"dataType\" : \"Object\",\r\n      \"type\" : null,\r\n      \"defaultValue\" : null,\r\n      \"validateType\" : \"\",\r\n      \"error\" : \"\",\r\n      \"expression\" : \"\",\r\n      \"children\" : [ {\r\n        \"name\" : \"total\",\r\n        \"value\" : \"1\",\r\n        \"description\" : \"\",\r\n        \"required\" : false,\r\n        \"dataType\" : \"Integer\",\r\n        \"type\" : null,\r\n        \"defaultValue\" : null,\r\n        \"validateType\" : \"\",\r\n        \"error\" : \"\",\r\n        \"expression\" : \"\",\r\n        \"children\" : [ ]\r\n      }, {\r\n        \"name\" : \"list\",\r\n        \"value\" : \"\",\r\n        \"description\" : \"\",\r\n        \"required\" : false,\r\n        \"dataType\" : \"Array\",\r\n        \"type\" : null,\r\n        \"defaultValue\" : null,\r\n        \"validateType\" : \"\",\r\n        \"error\" : \"\",\r\n        \"expression\" : \"\",\r\n        \"children\" : [ {\r\n          \"name\" : \"\",\r\n          \"value\" : \"\",\r\n          \"description\" : \"\",\r\n          \"required\" : false,\r\n          \"dataType\" : \"Object\",\r\n          \"type\" : null,\r\n          \"defaultValue\" : null,\r\n          \"validateType\" : \"\",\r\n          \"error\" : \"\",\r\n          \"expression\" : \"\",\r\n          \"children\" : [ {\r\n            \"name\" : \"id\",\r\n            \"value\" : \"1\",\r\n            \"description\" : \"\",\r\n            \"required\" : false,\r\n            \"dataType\" : \"String\",\r\n            \"type\" : null,\r\n            \"defaultValue\" : null,\r\n            \"validateType\" : \"\",\r\n            \"error\" : \"\",\r\n            \"expression\" : \"\",\r\n            \"children\" : [ ]\r\n          }, {\r\n            \"name\" : \"name\",\r\n            \"value\" : \"管理员\",\r\n            \"description\" : \"\",\r\n            \"required\" : false,\r\n            \"dataType\" : \"String\",\r\n            \"type\" : null,\r\n            \"defaultValue\" : null,\r\n            \"validateType\" : \"\",\r\n            \"error\" : \"\",\r\n            \"expression\" : \"\",\r\n            \"children\" : [ ]\r\n          } ]\r\n        } ]\r\n      } ]\r\n    }, {\r\n      \"name\" : \"timestamp\",\r\n      \"value\" : \"1634309991187\",\r\n      \"description\" : \"\",\r\n      \"required\" : false,\r\n      \"dataType\" : \"Long\",\r\n      \"type\" : null,\r\n      \"defaultValue\" : null,\r\n      \"validateType\" : \"\",\r\n      \"error\" : \"\",\r\n      \"expression\" : \"\",\r\n      \"children\" : [ ]\r\n    }, {\r\n      \"name\" : \"executeTime\",\r\n      \"value\" : \"5\",\r\n      \"description\" : \"\",\r\n      \"required\" : false,\r\n      \"dataType\" : \"Integer\",\r\n      \"type\" : null,\r\n      \"defaultValue\" : null,\r\n      \"validateType\" : \"\",\r\n      \"error\" : \"\",\r\n      \"expression\" : \"\",\r\n      \"children\" : [ ]\r\n    } ]\r\n  },\r\n  \"optionMap\" : {\r\n    \"permission\" : \"role:view\"\r\n  }\r\n}\r\n================================\r\nreturn db.page(\"\"\"\r\n    select id, name from sys_role where is_del = 0\r\n    ?{name, and name like concat(\'%\',#{name},\'%\')}\r\n\"\"\")');
INSERT INTO `magic_api_file` VALUES ('/magic-api/api/后台/菜单管理/修改是否显示.ms', '{\r\n  \"properties\" : { },\r\n  \"id\" : \"62020bd7a49949378e90ce2d14fef8f7\",\r\n  \"script\" : null,\r\n  \"groupId\" : \"67b2ce258e24491194b74992958c74aa\",\r\n  \"name\" : \"修改是否显示\",\r\n  \"createTime\" : null,\r\n  \"updateTime\" : 1634308641052,\r\n  \"lock\" : \"0\",\r\n  \"method\" : \"GET\",\r\n  \"path\" : \"/change/show\",\r\n  \"parameters\" : [ ],\r\n  \"option\" : \"[{\\\"name\\\":\\\"wrap_request_parameter\\\",\\\"value\\\":\\\"data\\\",\\\"description\\\":\\\"包装请求参数到一个变量中\\\"}]\",\r\n  \"requestBody\" : \"\",\r\n  \"headers\" : [ ],\r\n  \"paths\" : [ ],\r\n  \"responseBody\" : null,\r\n  \"description\" : null,\r\n  \"requestBodyDefinition\" : null,\r\n  \"responseBodyDefinition\" : null,\r\n  \"optionMap\" : {\r\n    \"wrap_request_parameter\" : \"data\"\r\n  }\r\n}\r\n================================\r\nreturn db.table(\"sys_menu\").primary(\"id\").update(data)');
INSERT INTO `magic_api_file` VALUES ('/magic-api/api/后台/菜单管理/根据角色获取菜单.ms', '{\r\n  \"properties\" : { },\r\n  \"id\" : \"9f4ebd1f444341c593a3d2a79d1a3356\",\r\n  \"script\" : null,\r\n  \"groupId\" : \"67b2ce258e24491194b74992958c74aa\",\r\n  \"name\" : \"根据角色获取菜单\",\r\n  \"createTime\" : null,\r\n  \"updateTime\" : 1634311029962,\r\n  \"lock\" : \"0\",\r\n  \"method\" : \"GET\",\r\n  \"path\" : \"/by/role\",\r\n  \"parameters\" : [ {\r\n    \"name\" : \"roleId\",\r\n    \"value\" : \"4d80f40315f747768d5b14095a0a7336\",\r\n    \"description\" : \"\",\r\n    \"required\" : false,\r\n    \"dataType\" : \"String\",\r\n    \"type\" : null,\r\n    \"defaultValue\" : null,\r\n    \"validateType\" : null,\r\n    \"error\" : null,\r\n    \"expression\" : null,\r\n    \"children\" : null\r\n  } ],\r\n  \"option\" : \"[]\",\r\n  \"requestBody\" : \"\",\r\n  \"headers\" : [ ],\r\n  \"paths\" : [ ],\r\n  \"responseBody\" : \"{\\n    \\\"code\\\": 200,\\n    \\\"message\\\": \\\"success\\\",\\n    \\\"data\\\": [],\\n    \\\"timestamp\\\": 1634310952202,\\n    \\\"executeTime\\\": 9\\n}\",\r\n  \"description\" : null,\r\n  \"requestBodyDefinition\" : null,\r\n  \"responseBodyDefinition\" : {\r\n    \"name\" : \"\",\r\n    \"value\" : \"\",\r\n    \"description\" : \"\",\r\n    \"required\" : false,\r\n    \"dataType\" : \"Object\",\r\n    \"type\" : null,\r\n    \"defaultValue\" : null,\r\n    \"validateType\" : \"\",\r\n    \"error\" : \"\",\r\n    \"expression\" : \"\",\r\n    \"children\" : [ {\r\n      \"name\" : \"code\",\r\n      \"value\" : \"200\",\r\n      \"description\" : \"\",\r\n      \"required\" : false,\r\n      \"dataType\" : \"Integer\",\r\n      \"type\" : null,\r\n      \"defaultValue\" : null,\r\n      \"validateType\" : \"\",\r\n      \"error\" : \"\",\r\n      \"expression\" : \"\",\r\n      \"children\" : [ ]\r\n    }, {\r\n      \"name\" : \"message\",\r\n      \"value\" : \"success\",\r\n      \"description\" : \"\",\r\n      \"required\" : false,\r\n      \"dataType\" : \"String\",\r\n      \"type\" : null,\r\n      \"defaultValue\" : null,\r\n      \"validateType\" : \"\",\r\n      \"error\" : \"\",\r\n      \"expression\" : \"\",\r\n      \"children\" : [ ]\r\n    }, {\r\n      \"name\" : \"data\",\r\n      \"value\" : \"\",\r\n      \"description\" : \"\",\r\n      \"required\" : false,\r\n      \"dataType\" : \"Array\",\r\n      \"type\" : null,\r\n      \"defaultValue\" : null,\r\n      \"validateType\" : \"\",\r\n      \"error\" : \"\",\r\n      \"expression\" : \"\",\r\n      \"children\" : [ ]\r\n    }, {\r\n      \"name\" : \"timestamp\",\r\n      \"value\" : \"1634310952202\",\r\n      \"description\" : \"\",\r\n      \"required\" : false,\r\n      \"dataType\" : \"Long\",\r\n      \"type\" : null,\r\n      \"defaultValue\" : null,\r\n      \"validateType\" : \"\",\r\n      \"error\" : \"\",\r\n      \"expression\" : \"\",\r\n      \"children\" : [ ]\r\n    }, {\r\n      \"name\" : \"executeTime\",\r\n      \"value\" : \"9\",\r\n      \"description\" : \"\",\r\n      \"required\" : false,\r\n      \"dataType\" : \"Integer\",\r\n      \"type\" : null,\r\n      \"defaultValue\" : null,\r\n      \"validateType\" : \"\",\r\n      \"error\" : \"\",\r\n      \"expression\" : \"\",\r\n      \"children\" : [ ]\r\n    } ]\r\n  },\r\n  \"optionMap\" : { }\r\n}\r\n================================\r\nreturn db.select(\"\"\"\r\n    select sm.id,sm.name from sys_menu sm join sys_role_menu srm on sm.id = srm.menu_id and srm.role_id = #{roleId} where sm.is_del = 0\r\n\"\"\")');
INSERT INTO `magic_api_file` VALUES ('/magic-api/api/后台/角色管理/删除.ms', '{\r\n  \"properties\" : { },\r\n  \"id\" : \"633b78b93bba43fba785c71c1c18d7f7\",\r\n  \"script\" : null,\r\n  \"groupId\" : \"89130d496f6f467c88b22ae4a7f688eb\",\r\n  \"name\" : \"删除\",\r\n  \"createTime\" : null,\r\n  \"updateTime\" : 1634310154239,\r\n  \"lock\" : \"0\",\r\n  \"method\" : \"POST\",\r\n  \"path\" : \"/delete\",\r\n  \"parameters\" : [ ],\r\n  \"option\" : \"[]\",\r\n  \"requestBody\" : \"\",\r\n  \"headers\" : [ ],\r\n  \"paths\" : [ ],\r\n  \"responseBody\" : null,\r\n  \"description\" : null,\r\n  \"requestBodyDefinition\" : null,\r\n  \"responseBodyDefinition\" : null,\r\n  \"optionMap\" : { }\r\n}\r\n================================\r\nreturn db.table(\"sys_role\").logic().where().eq(\"id\",id).delete();');
INSERT INTO `magic_api_file` VALUES ('/magic-api/api/后台/角色管理/保存.ms', '{\r\n  \"properties\" : { },\r\n  \"id\" : \"f9a5956afdfd4492966b1a3c04dbadf6\",\r\n  \"script\" : null,\r\n  \"groupId\" : \"89130d496f6f467c88b22ae4a7f688eb\",\r\n  \"name\" : \"保存\",\r\n  \"createTime\" : null,\r\n  \"updateTime\" : 1634310868316,\r\n  \"lock\" : \"0\",\r\n  \"method\" : \"POST\",\r\n  \"path\" : \"/save\",\r\n  \"parameters\" : [ ],\r\n  \"option\" : \"[{\\\"name\\\":\\\"\\\",\\\"value\\\":\\\"\\\",\\\"description\\\":\\\"\\\"}]\",\r\n  \"requestBody\" : \"\",\r\n  \"headers\" : [ ],\r\n  \"paths\" : [ ],\r\n  \"responseBody\" : null,\r\n  \"description\" : null,\r\n  \"requestBodyDefinition\" : null,\r\n  \"responseBodyDefinition\" : null,\r\n  \"optionMap\" : {\r\n    \"\" : \"\"\r\n  }\r\n}\r\n================================\r\nvar role = {\r\n    type,\r\n    name,\r\n    sort,\r\n    id\r\n}\r\ndb.table(\"sys_role\").primary(\"id\").saveOrUpdate(role);\r\nif(id){\r\n    db.table(\"sys_role_menu\").where().eq(\"role_id\",id).delete()\r\n}\r\nfor(menuId in menus.split(\',\')){\r\n    db.table(\"sys_role_menu\").column(\"menu_id\",menuId).column(\"role_id\", id).insert();\r\n}');
INSERT INTO `magic_api_file` VALUES ('/magic-api/api/后台/用户管理/列表.ms', '{\r\n  \"properties\" : { },\r\n  \"id\" : \"4399f2eb199b46448aa98682fe792667\",\r\n  \"script\" : null,\r\n  \"groupId\" : \"4f0230049d7e4f39b1e0897cc0f46f9a\",\r\n  \"name\" : \"列表\",\r\n  \"createTime\" : null,\r\n  \"updateTime\" : 1634311475701,\r\n  \"lock\" : \"0\",\r\n  \"method\" : \"GET\",\r\n  \"path\" : \"/list\",\r\n  \"parameters\" : [ ],\r\n  \"option\" : \"[]\",\r\n  \"requestBody\" : \"\",\r\n  \"headers\" : [ ],\r\n  \"paths\" : [ ],\r\n  \"responseBody\" : null,\r\n  \"description\" : null,\r\n  \"requestBodyDefinition\" : null,\r\n  \"responseBodyDefinition\" : null,\r\n  \"optionMap\" : { }\r\n}\r\n================================\r\nreturn db.page(\"\"\"\r\n    select\r\n        su.id,\r\n        su.username,\r\n        su.name,\r\n        su.is_login,\r\n        su.phone,\r\n        su.create_date\r\n    from sys_user su\r\n    where su.is_del = 0\r\n    ?{username, and su.username like concat(\'%\',#{username},\'%\')}\r\n    ?{name, and su.name like concat(\'%\',#{name},\'%\')}\r\n    ?{isLogin, and su.is_login = #{isLogin}}\r\n    order by ${orderBy || \'su.create_date desc\'}\r\n\"\"\")');
INSERT INTO `magic_api_file` VALUES ('/magic-api/api/后台/用户管理/保存.ms', '{\r\n  \"properties\" : { },\r\n  \"id\" : \"877918736c764253a85d0780cbd5f763\",\r\n  \"script\" : null,\r\n  \"groupId\" : \"4f0230049d7e4f39b1e0897cc0f46f9a\",\r\n  \"name\" : \"保存\",\r\n  \"createTime\" : null,\r\n  \"updateTime\" : 1634724604615,\r\n  \"lock\" : \"0\",\r\n  \"method\" : \"POST\",\r\n  \"path\" : \"/save\",\r\n  \"parameters\" : [ ],\r\n  \"option\" : \"[]\",\r\n  \"requestBody\" : \"\",\r\n  \"headers\" : [ ],\r\n  \"paths\" : [ ],\r\n  \"responseBody\" : null,\r\n  \"description\" : null,\r\n  \"requestBodyDefinition\" : null,\r\n  \"responseBodyDefinition\" : null,\r\n  \"optionMap\" : { }\r\n}\r\n================================\r\nimport \'cn.dev33.satoken.secure.SaSecureUtil\';\r\n\r\nvar user = {\r\n    id,\r\n    name,\r\n    username,\r\n    password: SaSecureUtil.sha256(password),\r\n    phone,\r\n    isLogin\r\n}\r\ndb.table(\"sys_user\").primary(\"id\").saveOrUpdate(user)\r\nif(id){\r\n    db.update(\"\"\"\r\n        delete from sys_user_role where user_id = #{id}\r\n    \"\"\")\r\n}\r\nfor(roleId in roles.split(\',\')){\r\n    db.table(\"sys_user_role\").column(\'userId\', id).column(\"roleId\", roleId).insert()\r\n}');

-- ----------------------------
-- Table structure for sys_dict
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict`;
CREATE TABLE `sys_dict`  (
  `id` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '主键',
  `desc_ribe` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '描述',
  `dict_type` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '字典类型：0系统类，1业务类',
  `type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '类型',
  `sort` int(5) NULL DEFAULT 0 COMMENT '排序',
  `is_del` int(1) NULL DEFAULT 0 COMMENT '删除标识：0未删除，1已删除',
  `create_by` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_date` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_date` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `remarks` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '字典表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_dict
-- ----------------------------
INSERT INTO `sys_dict` VALUES ('0b362906fb9e498198a4ebb6dafdf3dc', '2', '0', '1', 40, 0, '1', '2021-10-20 21:23:46', NULL, NULL, '3');
INSERT INTO `sys_dict` VALUES ('1b3954d567a5457f94a539297d457b40', '3', '1', '1', 2, 1, NULL, NULL, NULL, NULL, '4');
INSERT INTO `sys_dict` VALUES ('3c393981-9ddd-40b2-8c19-85f0a9d9a98f', '组织机构类型', '0', 'office_type', 30, 0, '1', '2021-04-22 21:30:30', '1', '2021-04-30 22:17:27', '');
INSERT INTO `sys_dict` VALUES ('4b9b4a7e-25a1-4efa-ab9a-a004f203f1f4', '1', '1', 'aaa', 40, 1, '1', '2021-05-26 22:16:33', '1', '2021-05-26 22:16:33', '');
INSERT INTO `sys_dict` VALUES ('4e0a75e9c9124d29a5464cb635e18494', 's8', '1', 's8', 1, 1, NULL, NULL, NULL, NULL, 's8');
INSERT INTO `sys_dict` VALUES ('6665e64ef1764d64b253480863ab98ad', '2', '1', '1', 40, 1, '1', '2021-10-20 21:23:32', NULL, NULL, '3');
INSERT INTO `sys_dict` VALUES ('684fc15bf8694998891eca72bf1b11e9', '企业', '1', 'organ', 1, 1, NULL, NULL, NULL, NULL, '企业');
INSERT INTO `sys_dict` VALUES ('7368897911294388aded978c1763d0f6', '1', '1', '1', 0, 1, NULL, NULL, NULL, NULL, '1');
INSERT INTO `sys_dict` VALUES ('81b36e6ce3d34eb3be9f8378327f0851', '2', '0', '1', 40, 1, '1', '2021-10-20 21:15:45', NULL, NULL, '3');
INSERT INTO `sys_dict` VALUES ('9177b87f926f44eda662f8390ad3b3f1', '企业状态', '1', 'organ1', 1, 1, NULL, NULL, NULL, NULL, '企业');
INSERT INTO `sys_dict` VALUES ('94a362e6d8214d93a9c9200ee326ecee', '3', '1', '1', 2, 1, NULL, NULL, NULL, NULL, '4');
INSERT INTO `sys_dict` VALUES ('95ec2cc79fc647efb941167113c3a089', '3', '1', '1', 2, 1, NULL, NULL, NULL, NULL, '4');
INSERT INTO `sys_dict` VALUES ('ae9a2cd400264ff6bdc2f00b62d6e911', '字典类型', '0', 'dict_type', 10, 0, NULL, NULL, '1', '2021-04-30 22:17:24', '');
INSERT INTO `sys_dict` VALUES ('ae9a2cd400264ff6bdc2f00b62d6e941', '是否登录', '0', 'is_login', 20, 0, NULL, NULL, '1', '2021-04-30 22:14:58', '');
INSERT INTO `sys_dict` VALUES ('b1c13a6b80dd4a0d9f7344c9e219265f', '1', '1', '1', 0, 1, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_dict` VALUES ('ce64ab1e9d0c45f7a8ba3f218321981d', '3', '1', '1', 2, 1, NULL, NULL, NULL, NULL, '4');
INSERT INTO `sys_dict` VALUES ('cedc9783ce89443e91060245c4a4f610', '1', '1', '1', 0, 1, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_dict` VALUES ('da5f0f7da9b14a16b45044bc367e3b68', '3', '1', '1', 2, 1, NULL, NULL, NULL, NULL, '4');
INSERT INTO `sys_dict` VALUES ('eaa474f9c32e4bf49999876f242b64d8', '1', '1', '1', 0, 1, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_dict` VALUES ('f1c3544061b8489587068ca80fa8ceae', '1', '1', '1', 0, 1, NULL, NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for sys_dict_items
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_items`;
CREATE TABLE `sys_dict_items`  (
  `id` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '主键',
  `value` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '值',
  `label` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '标签',
  `dict_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'sys_dict表id',
  `sort` int(5) NOT NULL DEFAULT 0 COMMENT '排序',
  `is_del` int(1) NULL DEFAULT 0 COMMENT '删除标识：0未删除，1已删除',
  `create_by` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_date` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_date` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `remarks` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '备注'
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '字典项表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_dict_items
-- ----------------------------
INSERT INTO `sys_dict_items` VALUES ('0f91de6e8406d59762bebe5d2dfc9d36', '0', '不禁用', 'ae9a2cd400264ff6bdc2f00b62d6e941', 0, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_dict_items` VALUES ('c5cf8715a74537156ea29c8bbc622b05', '1', '禁用', 'ae9a2cd400264ff6bdc2f00b62d6e941', 0, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_dict_items` VALUES ('ze9a2cd400264ff6bdc2f00b62d6e911', '0', '系统类', 'ae9a2cd400264ff6bdc2f00b62d6e911', 0, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_dict_items` VALUES ('ze9a2cd400264ff6bdc2f00b62d6e910', '1', '业务类', 'ae9a2cd400264ff6bdc2f00b62d6e911', 0, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_dict_items` VALUES ('42792febef2a468abe6dad4275c8dd2a', '1', '1', '4e0a75e9c9124d29a5464cb635e18494', 0, 1, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_dict_items` VALUES ('bb6b8eb9e6f94583bd78b71f6536aa67', '2', '2', '4e0a75e9c9124d29a5464cb635e18494', 0, 1, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_dict_items` VALUES ('4a24449a46174bba81bc25c4555b76f1', '1', '未开通', '9177b87f926f44eda662f8390ad3b3f1', 0, 1, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_dict_items` VALUES ('85f1b884937e4cdba6d3ede1c73ad09f', '2', '已开通', '9177b87f926f44eda662f8390ad3b3f1', 0, 1, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_dict_items` VALUES ('a8a973db35a64fa7b29a350cda23f9f9', '2', '1', '1b3954d567a5457f94a539297d457b40', 3, 1, NULL, NULL, NULL, NULL, '4');
INSERT INTO `sys_dict_items` VALUES ('a3fbeea983864a8eb870e23d53e51dba', '3', '4', '1b3954d567a5457f94a539297d457b40', 2, 1, NULL, NULL, NULL, NULL, '1');
INSERT INTO `sys_dict_items` VALUES ('22a52184dde447308238998e65ba09be', '2', '1', '1b3954d567a5457f94a539297d457b40', 3, 1, NULL, NULL, NULL, NULL, '4');
INSERT INTO `sys_dict_items` VALUES ('b928f5b1-07bd-4f09-9142-897c767c5303', '1', '部门', '3c393981-9ddd-40b2-8c19-85f0a9d9a98f', 10, 0, '1', '2021-04-22 21:31:18', '1', '2021-04-30 23:00:21', '');
INSERT INTO `sys_dict_items` VALUES ('457517be-5245-4d98-b9fa-8b6753a9cfc6', '2', '公司', '3c393981-9ddd-40b2-8c19-85f0a9d9a98f', 20, 0, '1', '2021-04-22 21:31:25', '1', '2021-04-30 23:00:33', '');
INSERT INTO `sys_dict_items` VALUES ('ac1ee828-62e1-42fd-9d18-cf37203855b2', '12', '12', '3c393981-9ddd-40b2-8c19-85f0a9d9a98f', 30, 1, '1', '2021-04-30 23:00:50', '1', '2021-04-30 23:00:50', '');
INSERT INTO `sys_dict_items` VALUES ('f19152f4-dd72-4509-a350-af70d802dcdf', '1', '1', '4b9b4a7e-25a1-4efa-ab9a-a004f203f1f4', 10, 1, '1', '2021-05-26 22:16:41', '1', '2021-05-26 22:16:41', '');
INSERT INTO `sys_dict_items` VALUES ('6a127863-8130-48be-88bf-e5179f5c33e6', '2', '2', '4b9b4a7e-25a1-4efa-ab9a-a004f203f1f4', 20, 1, '1', '2021-05-26 22:18:40', '1', '2021-05-26 22:18:40', '');
INSERT INTO `sys_dict_items` VALUES ('56aee220-cb12-4bb2-8453-84ee49672193', '3', '3', '4b9b4a7e-25a1-4efa-ab9a-a004f203f1f4', 30, 1, '1', '2021-05-26 22:18:49', '1', '2021-05-26 22:18:49', '');
INSERT INTO `sys_dict_items` VALUES ('793324bd4f23486a850b1f284cb73415', '2', '1', '0b362906fb9e498198a4ebb6dafdf3dc', 10, 1, '1', '2021-10-20 21:23:54', NULL, NULL, '3');

-- ----------------------------
-- Table structure for sys_file
-- ----------------------------
DROP TABLE IF EXISTS `sys_file`;
CREATE TABLE `sys_file`  (
  `id` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '主键',
  `url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '文件相对路径',
  `sort` int(11) NULL DEFAULT NULL COMMENT '排序',
  `external_id` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '外部id，其他表数据id',
  `external_type` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '外部文件类型，比如：是营业执照啊 还是 头像啊',
  `is_del` int(1) NULL DEFAULT 0 COMMENT '删除标识',
  `create_by` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_date` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_date` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '文件表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_file
-- ----------------------------
INSERT INTO `sys_file` VALUES ('035ca025-281c-4b7e-a4f7-afe5f0f9996d', 'userfiles/2021-06-18/09eeb3d40111431aa6e35326aaa10966.jpg', 1, NULL, NULL, 0, '1', '2021-06-18 22:04:53', '1', '2021-06-18 22:04:53');
INSERT INTO `sys_file` VALUES ('040828f72f2e4ff5af4adced0aad0825', 'userfiles/2021-10-29/fb31d8f9bb604bb3b22de419e6deb7c9/护坡工艺.png', 1, NULL, NULL, 0, '1', '2021-10-29 14:34:25', NULL, NULL);
INSERT INTO `sys_file` VALUES ('0a8c97ad-65e6-44d1-8015-6c9b84d83533', 'https://huifeng666.oss-cn-beijing.aliyuncs.com/upload/2021-06-04/168891533fab4d5686e7ac23d1b944b5/TAJ.jpg', 2, NULL, NULL, 0, '1', '2021-06-04 00:19:26', '1', '2021-06-04 00:19:26');
INSERT INTO `sys_file` VALUES ('0df6aca8-fddb-4f64-8f9d-8c2c03442084', 'https://huifeng666.oss-cn-beijing.aliyuncs.com//userfiles/2021-06-04/', NULL, NULL, NULL, 0, '1', '2021-06-04 00:45:18', '1', '2021-06-04 00:45:18');
INSERT INTO `sys_file` VALUES ('11926bd0-99bc-4b2c-951d-4192d1485e3e', 'https://huifeng666.oss-cn-beijing.aliyuncs.com/userfiles/2021-06-04/a2d74fe35347412a888231a8ef62f725.jpg', 1, NULL, NULL, 1, '1', '2021-06-04 00:48:52', '1', '2021-06-04 00:49:51');
INSERT INTO `sys_file` VALUES ('136cdef4-f5a5-45db-8b52-ecb14f4decd1', 'userfiles/2021-07-08/dc7b4b4e6a2645b890d7a1f77cdcc2ec/TAJ.jpg', 1, NULL, NULL, 0, '1', '2021-07-08 22:26:47', '1', '2021-07-08 22:26:47');
INSERT INTO `sys_file` VALUES ('147ecb9a-0c9c-4d0c-a35a-6542d30e59ca', 'userfiles/2021-07-08\\b0c57b5364364a5786617956fb554984\\', 1, NULL, NULL, 0, '1', '2021-07-08 22:05:24', '1', '2021-07-08 22:05:24');
INSERT INTO `sys_file` VALUES ('166d37df-3c40-4d34-a394-4b0181530901', 'userfiles/2021-07-08\\00da6e6ad71b4fb9b2b26791dfbab515\\', 1, NULL, NULL, 0, '1', '2021-07-08 22:09:00', '1', '2021-07-08 22:09:00');
INSERT INTO `sys_file` VALUES ('1f6b00ba220c4ffcb76ff73716aaa38c', 'userfiles/2021-10-29/37e82f512d6049e3ac73738b8e315419/护坡工艺.png', 1, NULL, NULL, 0, '1', '2021-10-29 14:28:38', NULL, NULL);
INSERT INTO `sys_file` VALUES ('212354e2-3f9b-41da-9406-9b8a288abe0a', 'https://huifeng666.oss-cn-beijing.aliyuncs.com/upload/2021-06-04/2717f8866a0c475387c4aab35d648ee8/blob', 1, NULL, NULL, 0, '1', '2021-06-04 00:25:27', '1', '2021-06-04 00:25:28');
INSERT INTO `sys_file` VALUES ('219d54f2-bdde-4d1a-9700-8c33be2cc967', 'https://huifeng666.oss-cn-beijing.aliyuncs.com/userfiles/2021-06-04/82989579f7604118a46921d990437e71.png', 3, NULL, NULL, 1, '1', '2021-06-04 00:49:51', '1', '2021-06-04 00:49:51');
INSERT INTO `sys_file` VALUES ('26b60120-c756-4121-992f-6ad146aff10c', 'https://huifeng666.oss-cn-beijing.aliyuncs.com/userfiles/2021-06-04/1194ff204ca74bebb455db653950b63a.jpg', 2, NULL, NULL, 1, '1', '2021-06-04 00:48:52', '1', '2021-06-04 00:49:51');
INSERT INTO `sys_file` VALUES ('28e0be8f-58f7-4a79-bf29-0bb85e381397', 'userfiles/2021-06-04/d2c04556866649faa0f1136b9de87a96.jpg', 2, NULL, NULL, 0, '1', '2021-06-04 00:55:42', '1', '2021-06-04 00:55:46');
INSERT INTO `sys_file` VALUES ('2afddd34-ee70-415a-bd00-9180d788f99a', 'https://huifeng666.oss-cn-beijing.aliyuncs.com/userfiles/2021-06-04/d6e6ba22fb2f4eb8abb54c1377a787a2.jpg', 1, NULL, NULL, 1, '1', '2021-06-04 00:50:18', '1', '2021-06-04 00:50:23');
INSERT INTO `sys_file` VALUES ('2d2aadd7-f008-4af3-b285-ea88a9e9ea43', 'userfiles/2021-06-04/a42795139f5a419097b6c639021ead71.jpg', 1, NULL, NULL, 0, '1', '2021-06-04 00:52:20', '1', '2021-06-04 00:55:10');
INSERT INTO `sys_file` VALUES ('321d4f2b-9d5c-4ed0-aaac-c3826a4e9b9f', 'https://huifeng666.oss-cn-beijing.aliyuncs.com/userfiles/2021-06-12/bbf474834b3f40869604a4859da7cfa0.jpg', 1, NULL, NULL, 0, '1', '2021-06-12 14:49:13', '1', '2021-06-12 14:49:13');
INSERT INTO `sys_file` VALUES ('323a0106-f048-4e74-a484-5f1fc813d2d5', 'https://huifeng666.oss-cn-beijing.aliyuncs.com/userfiles/2021-06-12/04f107059ca949f0a74b78de68fd4199.jpg', 1, NULL, NULL, 0, '1', '2021-06-12 14:25:18', '1', '2021-06-12 14:25:18');
INSERT INTO `sys_file` VALUES ('3433c770-2f30-4b80-9962-539f45e98bdc', 'userfiles/2021-06-04/58ec5f00746b4b3093b7ff54665b82cc.jpg', 2, NULL, NULL, 0, '1', '2021-06-04 00:44:36', '1', '2021-06-04 00:44:36');
INSERT INTO `sys_file` VALUES ('35c506cc63d1479da8abbf925df2411a', 'userfiles/2021-10-29/8f85877785ce4461bc55ee1ee4bea9ab/护坡工艺.png', 1, NULL, NULL, 0, '1', '2021-10-29 14:29:53', NULL, NULL);
INSERT INTO `sys_file` VALUES ('36846406-5a56-46d9-89c1-ff9b15a077bc', 'userfiles/2021-06-04/bd7797c740214f50b7d3bebbb998f0ef.jpg', 1, NULL, NULL, 0, '1', '2021-06-04 00:33:59', '1', '2021-06-04 00:34:00');
INSERT INTO `sys_file` VALUES ('378b3974-8596-4ee7-aba9-9250b7bdadb3', 'https://huifeng666.oss-cn-beijing.aliyuncs.com/upload/2021-06-04/04dc670eada04fec8db68fef73eae866/QQ图片20210416173834.jpg', 2, NULL, NULL, 0, '1', '2021-06-04 00:30:32', '1', '2021-06-04 00:31:15');
INSERT INTO `sys_file` VALUES ('3eb3f348-1b4b-4e9a-82de-896e32addf4e', 'https://huifeng666.oss-cn-beijing.aliyuncs.com/upload/2021-06-04/d270bae8a4034e68993b13320724f1e2/QQ图片20210416173834.jpg', 2, NULL, NULL, 0, '1', '2021-06-04 00:13:50', '1', '2021-06-04 00:13:50');
INSERT INTO `sys_file` VALUES ('4216e18e-75f8-443d-9ca5-2ee69d95e1da', 'userfiles/2021-07-08\\6373cbe4300e49c89657253d176b12b2\\', 1, NULL, NULL, 1, '1', '2021-07-08 22:07:02', '1', '2021-07-08 22:07:02');
INSERT INTO `sys_file` VALUES ('427faa9c-ece4-4008-a24d-8cb8ba9c518e', 'https://huifeng666.oss-cn-beijing.aliyuncs.com/upload/2021-06-04/919e189d991c4946a84345e0efe1a521/QQ图片20210416173834.jpg', 1, NULL, NULL, 1, '1', '2021-06-04 00:24:52', '1', '2021-06-04 00:24:52');
INSERT INTO `sys_file` VALUES ('42f2384865a84499bb4f100ccdd1c9a7', 'userfiles/2021-10-24/84e991f4a1054af486ccc20762565612/护坡工艺.png', NULL, NULL, NULL, 0, '1', '2021-10-24 19:49:01', NULL, NULL);
INSERT INTO `sys_file` VALUES ('46540bfd23f1423f848d22418ffdbadb', 'userfiles/2021-10-24/431fe0660cca407dbc5f6ce1b2f26c0f/护坡工艺.png', NULL, NULL, NULL, 0, '1', '2021-10-24 19:59:43', NULL, NULL);
INSERT INTO `sys_file` VALUES ('4661a45f-e7dd-416e-a24b-159d33d4a1da', 'https://huifeng666.oss-cn-beijing.aliyuncs.com/userfiles/2021-06-18/b0c6550b85c24d77ada299c9a7dfeba7.jpg', 1, NULL, NULL, 0, '1', '2021-06-18 22:06:32', '1', '2021-06-18 22:06:33');
INSERT INTO `sys_file` VALUES ('4c8db411-0a3a-4d96-a7f5-be178d58a862', 'https://huifeng666.oss-cn-beijing.aliyuncs.com//userfiles/2021-06-04/', NULL, NULL, NULL, 0, '1', '2021-06-04 00:45:18', '1', '2021-06-04 00:45:18');
INSERT INTO `sys_file` VALUES ('4e6db4e2f46941edab168aa4c6c76cba', 'userfiles/2021-10-29/844a552a43b64e66ab4f68cba4f10b33/护坡工艺.png', NULL, NULL, NULL, 0, '1', '2021-10-29 14:23:25', NULL, NULL);
INSERT INTO `sys_file` VALUES ('52c47b6a-a551-45df-8280-dc845a0a7692', 'userfiles/2021-06-12/092ca59fb40d4647b1355c66af78c901.jpg', 1, NULL, NULL, 0, '1', '2021-06-12 14:50:17', '1', '2021-06-12 14:50:17');
INSERT INTO `sys_file` VALUES ('5a5f33cae7ce4cb0857e22cfd6199dcb', 'userfiles/2021-10-24/43dc47ca5bc0433fbce964c576301846/护坡工艺.png', NULL, NULL, NULL, 0, '1', '2021-10-24 19:52:30', NULL, NULL);
INSERT INTO `sys_file` VALUES ('5baa93f80ef646fb9a36d0ff43715eca', 'userfiles/2021-10-29/e180478dd6464481be96a75d01826f96/护坡工艺.png', 1, NULL, NULL, 0, '1', '2021-10-29 14:27:33', NULL, NULL);
INSERT INTO `sys_file` VALUES ('5c83b4d2-a700-44fc-be1a-e7d59f7a1dd7', 'https://huifeng666.oss-cn-beijing.aliyuncs.com/userfiles/2021-06-04/99375264f6f24f949215179f55bb02ff.jpg', 1, NULL, NULL, 1, '1', '2021-06-04 00:50:28', '1', '2021-06-04 00:50:32');
INSERT INTO `sys_file` VALUES ('5fbeb99ff8594a57a126a7f590da8bd4', 'userfiles/2021-10-29/a29bf7ee8f4c43c09ad9153b52e80d02/护坡工艺.png', 1, '6bd93c350fc347c6aa2cd796f4ba9e9e', '营业执照', 0, '1', '2021-10-29 14:29:15', NULL, NULL);
INSERT INTO `sys_file` VALUES ('61380723-aef8-4ae4-8188-ec7d776f9468', 'userfiles/2021-06-04/13809ac92ba5425cb754842bb8095ab6.png', 3, NULL, NULL, 0, '1', '2021-06-04 00:55:42', '1', '2021-06-04 00:55:46');
INSERT INTO `sys_file` VALUES ('6272fbbc-d120-4aca-99a9-41bdf30805e0', 'userfiles/2021-07-08/5a1fdf687ded4a06a25fbcf193685455/TAJ.jpg', 1, NULL, NULL, 1, '1', '2021-07-08 22:53:18', '1', '2021-07-08 22:53:20');
INSERT INTO `sys_file` VALUES ('6605a020-6ec8-4867-92b5-90fe9621fa62', 'userfiles/2021-07-08\\7ec6883c723a438d8a113a4a1ba1f1c5\\blob', 1, 'e4dd45e62c8d46fc93caa96824e04cab', '营业执照', 0, '1', '2021-07-08 22:21:39', '1', '2021-07-08 22:21:39');
INSERT INTO `sys_file` VALUES ('6ab8faad-cbfa-4ef5-9fe4-5004f82f3f54', 'userfiles/2021-06-18/7cda59680c6944f9aaa13a98f1b12c37.jpg', 1, NULL, NULL, 0, '1', '2021-06-18 22:08:53', '1', '2021-06-18 22:08:53');
INSERT INTO `sys_file` VALUES ('700d9788-933b-42f1-9b1b-c8ca9399ed4d', 'userfiles/2021-07-08/6510418e476d44789419d2e3bf052119/blob', 1, NULL, NULL, 0, '1', '2021-07-08 22:24:36', '1', '2021-07-08 22:24:37');
INSERT INTO `sys_file` VALUES ('775a3648-e8ae-425a-9cda-089e7dec35d3', 'userfiles/2021-07-08/39a240eb33cc4252a65ec57f323cc397/TAJ.jpg', 2, NULL, NULL, 1, '1', '2021-07-08 22:53:20', '1', '2021-07-08 22:53:20');
INSERT INTO `sys_file` VALUES ('7d9528de86f24a498ce5268fdc0acdc1', 'userfiles/2021-10-29/2753c8b5f6cc49b996a6463a415a7043/护坡工艺.png', NULL, NULL, NULL, 0, '1', '2021-10-29 14:26:05', NULL, NULL);
INSERT INTO `sys_file` VALUES ('830d3ca1-5063-49b7-84e4-eecb2eeb4c6f', 'userfiles/2021-07-08\\cd98396025e24f8d8d77abc8fac0cef4\\blob', 1, NULL, NULL, 0, '1', '2021-07-08 22:21:15', '1', '2021-07-08 22:21:15');
INSERT INTO `sys_file` VALUES ('83304013-8bba-41ef-9319-f3d89317af9e', 'https://huifeng666.oss-cn-beijing.aliyuncs.com/userfiles/2021-06-04/ffe314dcc4a34a77892fab660284ca26.png', 2, NULL, NULL, 1, '1', '2021-06-04 00:50:30', '1', '2021-06-04 00:50:32');
INSERT INTO `sys_file` VALUES ('85cc7886503941e8b3ff2e9bffa0f23b', 'userfiles/2021-10-29/8accce979140463b90a69acb1983814f/护坡工艺.png', 1, NULL, NULL, 0, '1', '2021-10-29 14:34:37', NULL, NULL);
INSERT INTO `sys_file` VALUES ('90597b9b-9fa1-4479-9ad2-8c0925f66dc9', 'userfiles/2021-06-04/96da7329ae1b4df8b8fce4d6a9e5ef30.png', 2, NULL, NULL, 0, '1', '2021-06-04 00:52:20', '1', '2021-06-04 00:55:10');
INSERT INTO `sys_file` VALUES ('91398b4e-3997-49ed-943a-26accc5fd2d6', 'userfiles/2021-06-04/082ccf731eb545d987400bd2995624a7.jpg', 3, NULL, NULL, 0, '1', '2021-06-04 00:52:20', '1', '2021-06-04 00:55:10');
INSERT INTO `sys_file` VALUES ('9207a47b-3ae1-48e5-b0b1-883e2ed6924b', 'https://huifeng666.oss-cn-beijing.aliyuncs.com/upload/2021-06-04/7fd527d49ecd4284aff0e3b2982c8502/QQ图片20210416173834.jpg', 3, NULL, NULL, 0, '1', '2021-06-04 00:31:14', '1', '2021-06-04 00:31:15');
INSERT INTO `sys_file` VALUES ('95e78a26742a4723a8a7fa57ce4a9ea7', 'userfiles/2021-10-29/3e646c6de9ce4e7c98877bfc1a167b36/5dc42c5fedc65.jpg', 2, NULL, NULL, 0, '1', '2021-10-29 14:34:39', NULL, NULL);
INSERT INTO `sys_file` VALUES ('b2b8a03a-44cd-4f5f-894b-d1131ae92241', 'userfiles/2021-06-04/33cfffcc46dd4e1e92d6bbff9dfadb1a.jpg', 2, NULL, NULL, 0, '1', '2021-06-04 00:34:00', '1', '2021-06-04 00:34:00');
INSERT INTO `sys_file` VALUES ('b42e55b2-aa5f-49de-8289-9179fedd5514', 'userfiles/2021-07-08\\1f5235f38ddb492a960e574b0939fce3\\blob', 1, NULL, NULL, 0, '1', '2021-07-08 22:10:58', '1', '2021-07-08 22:10:58');
INSERT INTO `sys_file` VALUES ('b480f270-5bdf-4586-835e-1841795754d4', 'https://huifeng666.oss-cn-beijing.aliyuncs.com/upload/2021-06-04/1241ddd38a3e42bf9662bcb8c9418ae7/TAJ.jpg', 1, NULL, NULL, 0, '1', '2021-06-04 00:13:50', '1', '2021-06-04 00:13:50');
INSERT INTO `sys_file` VALUES ('bf712c4b-2196-45a9-856c-e69e84ae980e', 'https://huifeng666.oss-cn-beijing.aliyuncs.com/userfiles/2021-06-04/98847999cd7e4135b1150a5ba2d458de.jpg', 3, NULL, NULL, 1, '1', '2021-06-04 00:50:32', '1', '2021-06-04 00:50:32');
INSERT INTO `sys_file` VALUES ('c14eb966-0854-4107-8a4c-607b268b13cd', 'userfiles/2021-06-04/8c75629f12334691b78118a96235ad4a.jpg', 1, NULL, NULL, 0, '1', '2021-06-04 00:44:36', '1', '2021-06-04 00:44:36');
INSERT INTO `sys_file` VALUES ('d4653e75-4b2c-4729-af49-30cff14b2429', 'https://huifeng666.oss-cn-beijing.aliyuncs.com/userfiles/2021-06-04/80e5697c43ac4591a79e2e6433f7c9b2.jpg', 2, NULL, NULL, 1, '1', '2021-06-04 00:50:21', '1', '2021-06-04 00:50:23');
INSERT INTO `sys_file` VALUES ('d5a288ac-2d77-48c4-85dd-f2de3bef1701', 'userfiles/2021-06-04/35d6817fa50e462fad99d278dcee0e74.jpg', 1, NULL, NULL, 0, '1', '2021-06-04 00:55:42', '1', '2021-06-04 00:55:46');
INSERT INTO `sys_file` VALUES ('d7f5e40f-18c1-4370-86e0-745c8fa11b2e', 'https://huifeng666.oss-cn-beijing.aliyuncs.com/upload/2021-06-04/0e307be11ade49108986f9aa0d181ced/QQ图片20210416173834.jpg', 1, NULL, NULL, 0, '1', '2021-06-04 00:19:03', '1', '2021-06-04 00:19:26');
INSERT INTO `sys_file` VALUES ('e04e14db97174a8da09455ab45dac1d9', 'userfiles/2021-10-29/3f757d1900304b628e89d1f2978beb01/护坡工艺.png', 1, NULL, NULL, 0, '1', '2021-10-29 14:29:28', NULL, NULL);
INSERT INTO `sys_file` VALUES ('e0ba4ad1-65f3-4ac3-a8fe-a8b15e7e8126', 'userfiles/2021-07-08/abecb58e6c904f86a7681e220622a8cc/TAJ.jpg', 1, NULL, NULL, 1, '1', '2021-07-08 22:56:02', '1', '2021-07-08 22:56:02');
INSERT INTO `sys_file` VALUES ('e2cd6253-e2d1-4db1-996c-627959deed64', 'userfiles/2021-07-08/e5dd2ff057094f37988b9f14d982468c/TAJ.jpg', 1, NULL, NULL, 1, '1', '2021-07-08 22:52:55', '1', '2021-07-08 22:52:55');
INSERT INTO `sys_file` VALUES ('e3a00749-2d9a-4c53-bf38-44c9b6863696', 'userfiles/2021-07-08\\c4c2022df51b4333b0031ecd28aae117\\', 1, NULL, NULL, 1, '1', '2021-07-08 22:04:59', '1', '2021-07-08 22:04:59');
INSERT INTO `sys_file` VALUES ('e8f5211f-b22e-4de0-9cc8-a54b4aa0ccf1', 'userfiles/2021-07-08\\8d0a7be9ec284ef78cba432a9863a92d\\blob', 1, NULL, NULL, 0, '1', '2021-07-08 22:23:01', '1', '2021-07-08 22:23:01');
INSERT INTO `sys_file` VALUES ('ebe0c2f0-5b8c-41c2-9be7-166b169e1468', 'https://huifeng666.oss-cn-beijing.aliyuncs.com/upload/2021-06-04/84d0685d28774149b9df6a3cdc0e4366/blob', 2, NULL, NULL, 1, '1', '2021-06-04 00:24:20', '1', '2021-06-04 00:24:20');
INSERT INTO `sys_file` VALUES ('ebed2ad1-8be5-4bcb-8ca5-6b82dbc15c0e', 'https://huifeng666.oss-cn-beijing.aliyuncs.com/userfiles/2021-06-04/8e3c16ca4d114aeabbe392dec8a9e39d.png', 3, NULL, NULL, 1, '1', '2021-06-04 00:50:23', '1', '2021-06-04 00:50:23');
INSERT INTO `sys_file` VALUES ('f781d2f5-0e3e-4b3c-b6fc-742fd67a8bba', 'https://huifeng666.oss-cn-beijing.aliyuncs.com/upload/2021-06-04/a530b5133cf14929ab5c4ebdedd99a82/QQ图片20210416173834.jpg', 1, NULL, NULL, 1, '1', '2021-06-04 00:24:17', '1', '2021-06-04 00:24:20');
INSERT INTO `sys_file` VALUES ('f80cc24424dc45708863ea399c42e1bb', 'userfiles/2021-10-29/0e491b760bb447a99067b234f4846431/护坡工艺.png', 1, NULL, NULL, 0, '1', '2021-10-29 14:29:38', NULL, NULL);
INSERT INTO `sys_file` VALUES ('fcef4240-a1da-4fdd-8eba-7cd42d2b601f', 'https://huifeng666.oss-cn-beijing.aliyuncs.com/upload/2021-06-04/7c9cf4642877453b86783fc654dc64b4/TAJ.jpg', 1, NULL, NULL, 0, '1', '2021-06-04 00:30:32', '1', '2021-06-04 00:31:15');
INSERT INTO `sys_file` VALUES ('fed35e7d-47ab-4795-b8d4-63cb101df704', 'userfiles/2021-07-08/3afe3c9abbe94fe9a31580fdba7e5c8c/TAJ.jpg', 1, NULL, NULL, 0, '1', '2021-07-08 22:31:01', '1', '2021-07-08 22:31:01');

-- ----------------------------
-- Table structure for sys_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_menu`;
CREATE TABLE `sys_menu`  (
  `id` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '主键',
  `pid` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '父id',
  `icon` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '图标（base64）',
  `desc_ribe` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '描述',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '菜单名称',
  `url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '菜单链接',
  `permission` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '权限',
  `sort` int(12) NULL DEFAULT NULL COMMENT '排序',
  `is_del` int(1) NULL DEFAULT 0 COMMENT '是否删除：0未删除，1已删除',
  `create_by` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_date` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_date` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `is_show` int(1) NULL DEFAULT NULL COMMENT '是否显示，1显示，0不显示',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '菜单表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_menu
-- ----------------------------
INSERT INTO `sys_menu` VALUES ('0', '', NULL, NULL, '功能菜单', '', '', 1, 0, NULL, NULL, NULL, NULL, 1);
INSERT INTO `sys_menu` VALUES ('06b8a427e4cd4c1ba11752070f565f20', 'b1851d1b13594e71840103c11a37a669', NULL, '', '用户管理', '/system/user/user-list', '', 50, 0, NULL, NULL, '1', '2021-04-30 21:34:47', 1);
INSERT INTO `sys_menu` VALUES ('0ca23f378d794b23b935d6045bb54915', '641253af-8ea1-4b5d-8bc3-a7165ef60ff2', NULL, '', '页面设计', '/examples/page-design', '', 50, 0, '1', '2021-06-24 20:16:25', '1', '2021-06-24 20:16:25', 1);
INSERT INTO `sys_menu` VALUES ('0eb611a9ef2b44f5a8337974109ae270', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '1', '2021-10-15 21:58:07', NULL, NULL, NULL);
INSERT INTO `sys_menu` VALUES ('1c88a2b21eb5498694e277b94eada54e', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '1', '2021-10-15 21:59:26', NULL, NULL, NULL);
INSERT INTO `sys_menu` VALUES ('24176912aa9e4b2d832f96292be3430e', '81b6845a20da4028a01a42f3eb0b4f4b', NULL, '', '删除', '', 'dict:items:delete', 20, 0, '1', '2020-12-10 10:38:43', '1', '2021-04-30 21:37:39', 0);
INSERT INTO `sys_menu` VALUES ('2664b76cb2904227bce5b0f7d1dd6e7b', '641253af-8ea1-4b5d-8bc3-a7165ef60ff2', NULL, '', '下拉框', '/examples/select-example', '', 60, 0, '1', '2021-08-29 17:35:17', '1', '2021-08-29 17:35:17', 1);
INSERT INTO `sys_menu` VALUES ('39be13ef6f0745568c80bf35202ddb2b', 'b1851d1b13594e71840103c11a37a669', NULL, '', '菜单管理', '/system/menu/menu-list', '', 10, 0, NULL, NULL, '1', '2021-04-30 21:34:27', 1);
INSERT INTO `sys_menu` VALUES ('414e5d31-fe05-4e69-9983-217c10b9740a', '39be13ef6f0745568c80bf35202ddb2b', NULL, '', '权限测试', '', 'sys:test:aaa', 10, 0, '1', '2021-03-25 20:40:12', '1', '2021-04-30 21:36:21', 0);
INSERT INTO `sys_menu` VALUES ('4526eb9c-4b7a-4945-bfa9-cddc01f36c22', '6f3594d0-5445-41e1-a13c-890a57485036', NULL, '', '保存', '', 'office:office:save', 10, 0, '1', '2021-04-22 20:43:09', '1', '2021-04-30 21:36:40', 0);
INSERT INTO `sys_menu` VALUES ('546c874267514672844cd3a019e468f7', 'c5f407478c4e4c9cbcdbee6389d2c909', NULL, '', '删除', '', 'dict:delete', 20, 0, '1', '2020-11-11 14:11:38', '1', '2021-04-30 21:37:22', 0);
INSERT INTO `sys_menu` VALUES ('641253af-8ea1-4b5d-8bc3-a7165ef60ff2', '0', NULL, '', '一些例子', '/examples', '', 20, 0, '1', '2021-03-28 22:59:56', '1', '2021-04-30 21:34:14', 1);
INSERT INTO `sys_menu` VALUES ('6762231e-4f30-4a6b-a94e-b185e99ed608', '6f3594d0-5445-41e1-a13c-890a57485036', NULL, '', '删除', '', 'office:office:delete', 20, 0, '1', '2021-04-22 20:42:56', '1', '2021-04-30 21:36:43', 0);
INSERT INTO `sys_menu` VALUES ('684723f4226948aba1661292961c8f71', '8e9455740091486c914495cfb0c7faa5', NULL, '', '删除', '', 'role:delete', 20, 0, '1', '2020-11-11 13:59:45', '1', '2021-04-30 21:36:56', 0);
INSERT INTO `sys_menu` VALUES ('6f3594d0-5445-41e1-a13c-890a57485036', 'b1851d1b13594e71840103c11a37a669', NULL, '', '组织机构', '/system/office/office-list', 'office:office:list', 20, 0, '1', '2021-04-22 20:40:14', '1', '2021-04-30 21:34:37', 1);
INSERT INTO `sys_menu` VALUES ('74c852ea-be4b-4533-b146-cfbd776045d5', '641253af-8ea1-4b5d-8bc3-a7165ef60ff2', NULL, '', '富文本', '/examples/ueditor-example', '', 30, 0, '1', '2021-05-16 15:25:52', '1', '2021-05-16 15:25:52', 1);
INSERT INTO `sys_menu` VALUES ('8009eed4f46141e3aca939490d68786a', 'b1851d1b13594e71840103c11a37a669', NULL, '', '区域管理', '/system/area', '', 30, 0, '1', '2019-11-15 10:23:07', '1', '2021-04-30 21:34:41', 0);
INSERT INTO `sys_menu` VALUES ('81b6845a20da4028a01a42f3eb0b4f4b', 'c5f407478c4e4c9cbcdbee6389d2c909', NULL, '', '字典项', '', 'dict:items', 30, 0, '1', '2020-12-10 09:35:02', '1', '2021-04-30 21:37:28', 0);
INSERT INTO `sys_menu` VALUES ('833b204d5f2c402190bfca677421cfeb', '39be13ef6f0745568c80bf35202ddb2b', NULL, '', '删除', '', 'menu:delete', 30, 0, '1', '2020-11-11 11:06:05', '1', '2021-04-30 21:36:36', 0);
INSERT INTO `sys_menu` VALUES ('8e9455740091486c914495cfb0c7faa5', 'b1851d1b13594e71840103c11a37a669', NULL, '', '角色管理', '/system/role/role-list', 'role:view', 40, 0, NULL, NULL, '1', '2021-04-30 21:34:44', 1);
INSERT INTO `sys_menu` VALUES ('91bdb7d742a64a8c8a8fdc6d3bb61581', '641253af-8ea1-4b5d-8bc3-a7165ef60ff2', NULL, '', '可编辑表格', '/examples/editor-table', '', 40, 0, '1', '2021-06-13 12:53:11', '1', '2021-06-13 12:53:11', 1);
INSERT INTO `sys_menu` VALUES ('94071254597d4da286bb8112ad93f4ff', '8e9455740091486c914495cfb0c7faa5', NULL, '', '保存', '', 'role:save', 10, 0, '1', '2020-11-11 13:59:27', '1', '2021-04-30 21:36:51', 0);
INSERT INTO `sys_menu` VALUES ('b1851d1b13594e71840103c11a37a669', '0', NULL, NULL, '系统设置', '/system', '', 10, 0, NULL, NULL, '1', '2021-04-30 21:34:05', 1);
INSERT INTO `sys_menu` VALUES ('b353de07f3624b4fa1c6f8b1b1e80cad', 'c5f407478c4e4c9cbcdbee6389d2c909', NULL, '', '保存', '', 'dict:save', 10, 0, '1', '2020-11-11 14:11:28', '1', '2021-04-30 21:37:14', 0);
INSERT INTO `sys_menu` VALUES ('bee5c6cb1b484133a4b8e72fe5c5eed0', '06b8a427e4cd4c1ba11752070f565f20', NULL, '', '保存', '', 'user:save', 10, 0, '1', '2020-11-11 13:27:06', '1', '2021-04-30 21:37:01', 0);
INSERT INTO `sys_menu` VALUES ('c5f407478c4e4c9cbcdbee6389d2c909', 'b1851d1b13594e71840103c11a37a669', NULL, '', '数据字典', '/system/dict/dict-list', 'dict:view', 60, 0, '1', '2019-11-15 10:22:28', '1', '2021-04-30 21:34:49', 1);
INSERT INTO `sys_menu` VALUES ('c6e7b5866ce64bfdabeb5dd6342ca55f', '06b8a427e4cd4c1ba11752070f565f20', NULL, '', '删除', '', 'user:delete', 20, 0, '1', '2020-11-11 13:27:22', '1', '2021-04-30 21:37:05', 0);
INSERT INTO `sys_menu` VALUES ('d7e5280a2a8f4fb3b9e2f4a3e3093a38', '39be13ef6f0745568c80bf35202ddb2b', NULL, '', '保存', '', 'menu:save', 20, 0, '1', '2020-11-11 13:58:32', '1', '2021-04-30 21:36:28', 0);
INSERT INTO `sys_menu` VALUES ('da801842-9d64-4d3c-a912-732d47373061', 'b1851d1b13594e71840103c11a37a669', NULL, '', '接口管理', '/magic/magic-api', '', 70, 0, '1', '2021-03-13 22:44:56', '1', '2021-04-30 21:35:11', 1);
INSERT INTO `sys_menu` VALUES ('dc332875-831e-4937-86ff-0c7420915ce9', '641253af-8ea1-4b5d-8bc3-a7165ef60ff2', NULL, '', '三级联动', '/examples/three-linkage', '', 10, 0, '1', '2021-03-28 23:04:14', '1', '2021-04-30 21:38:23', 1);
INSERT INTO `sys_menu` VALUES ('e3f851a5df7e4e08a3de996c670deccb', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '1', '2021-10-15 21:57:12', NULL, NULL, NULL);
INSERT INTO `sys_menu` VALUES ('e46a01397a01459bb478a5f31a6220ee', '81b6845a20da4028a01a42f3eb0b4f4b', NULL, '', '保存', '', 'dict:items:save', 10, 0, '1', '2020-12-10 10:38:27', '1', '2021-04-30 21:37:35', 0);
INSERT INTO `sys_menu` VALUES ('f09410d5-5043-4164-9f68-8d135de71b29', '641253af-8ea1-4b5d-8bc3-a7165ef60ff2', NULL, '', '上传文件', '/examples/upload-file', '', 20, 0, '1', '2021-04-23 22:52:04', '1', '2021-05-23 10:34:47', 1);

-- ----------------------------
-- Table structure for sys_office
-- ----------------------------
DROP TABLE IF EXISTS `sys_office`;
CREATE TABLE `sys_office`  (
  `id` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '主键',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '名称',
  `type` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '类型',
  `pid` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '父id',
  `sort` int(12) NULL DEFAULT NULL COMMENT '排序',
  `is_del` int(1) NULL DEFAULT 0 COMMENT '删除标识',
  `create_by` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_date` datetime(0) NULL DEFAULT NULL COMMENT '创建日期',
  `update_by` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_date` datetime(0) NULL DEFAULT NULL COMMENT '更新日期',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '组织机构表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for sys_permission_code
-- ----------------------------
DROP TABLE IF EXISTS `sys_permission_code`;
CREATE TABLE `sys_permission_code`  (
  `id` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '主键',
  `code` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '权限代码',
  `pid` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '父id',
  `is_del` int(1) NULL DEFAULT 0 COMMENT '删除标识：0未删除，1已删除',
  `create_by` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_date` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_date` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '权限code表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_permission_code
-- ----------------------------
INSERT INTO `sys_permission_code` VALUES ('7e5bcc07f32b48bcb24de5066e9eb9dc', '1', NULL, 0, '1', '2021-10-14 23:25:02', '1', '2021-10-14 23:34:40');

-- ----------------------------
-- Table structure for sys_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_role`;
CREATE TABLE `sys_role`  (
  `id` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '主键',
  `type` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '类型',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '角色名称',
  `sort` int(12) NULL DEFAULT NULL COMMENT '排序',
  `is_del` int(1) NULL DEFAULT 0 COMMENT '是否删除：0未删除，1已删除',
  `create_by` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_date` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_date` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '角色表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_role
-- ----------------------------
INSERT INTO `sys_role` VALUES ('1', '1', '管理员', NULL, 0, NULL, NULL, '1', '2021-10-15 23:16:59');
INSERT INTO `sys_role` VALUES ('4d80f40315f747768d5b14095a0a7336', NULL, '1', NULL, 1, '1', '2021-10-15 23:14:36', '1', '2021-10-15 23:17:06');

-- ----------------------------
-- Table structure for sys_role_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_menu`;
CREATE TABLE `sys_role_menu`  (
  `role_id` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '角色id',
  `menu_id` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '菜单id'
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '角色和菜单关联表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_role_menu
-- ----------------------------
INSERT INTO `sys_role_menu` VALUES ('1', 'b1851d1b13594e71840103c11a37a669');
INSERT INTO `sys_role_menu` VALUES ('1', '39be13ef6f0745568c80bf35202ddb2b');
INSERT INTO `sys_role_menu` VALUES ('1', '414e5d31-fe05-4e69-9983-217c10b9740a');
INSERT INTO `sys_role_menu` VALUES ('1', 'd7e5280a2a8f4fb3b9e2f4a3e3093a38');
INSERT INTO `sys_role_menu` VALUES ('1', '833b204d5f2c402190bfca677421cfeb');
INSERT INTO `sys_role_menu` VALUES ('1', '6f3594d0-5445-41e1-a13c-890a57485036');
INSERT INTO `sys_role_menu` VALUES ('1', '4526eb9c-4b7a-4945-bfa9-cddc01f36c22');
INSERT INTO `sys_role_menu` VALUES ('1', '6762231e-4f30-4a6b-a94e-b185e99ed608');
INSERT INTO `sys_role_menu` VALUES ('1', '8009eed4f46141e3aca939490d68786a');
INSERT INTO `sys_role_menu` VALUES ('1', '8e9455740091486c914495cfb0c7faa5');
INSERT INTO `sys_role_menu` VALUES ('1', '94071254597d4da286bb8112ad93f4ff');
INSERT INTO `sys_role_menu` VALUES ('1', '684723f4226948aba1661292961c8f71');
INSERT INTO `sys_role_menu` VALUES ('1', '06b8a427e4cd4c1ba11752070f565f20');
INSERT INTO `sys_role_menu` VALUES ('1', 'bee5c6cb1b484133a4b8e72fe5c5eed0');
INSERT INTO `sys_role_menu` VALUES ('1', 'c6e7b5866ce64bfdabeb5dd6342ca55f');
INSERT INTO `sys_role_menu` VALUES ('1', 'c5f407478c4e4c9cbcdbee6389d2c909');
INSERT INTO `sys_role_menu` VALUES ('1', 'b353de07f3624b4fa1c6f8b1b1e80cad');
INSERT INTO `sys_role_menu` VALUES ('1', '546c874267514672844cd3a019e468f7');
INSERT INTO `sys_role_menu` VALUES ('1', '81b6845a20da4028a01a42f3eb0b4f4b');
INSERT INTO `sys_role_menu` VALUES ('1', 'e46a01397a01459bb478a5f31a6220ee');
INSERT INTO `sys_role_menu` VALUES ('1', '24176912aa9e4b2d832f96292be3430e');
INSERT INTO `sys_role_menu` VALUES ('1', 'da801842-9d64-4d3c-a912-732d47373061');
INSERT INTO `sys_role_menu` VALUES ('4d80f40315f747768d5b14095a0a7336', 'b1851d1b13594e71840103c11a37a669');
INSERT INTO `sys_role_menu` VALUES ('4d80f40315f747768d5b14095a0a7336', '39be13ef6f0745568c80bf35202ddb2b');
INSERT INTO `sys_role_menu` VALUES ('4d80f40315f747768d5b14095a0a7336', '414e5d31-fe05-4e69-9983-217c10b9740a');
INSERT INTO `sys_role_menu` VALUES ('4d80f40315f747768d5b14095a0a7336', 'd7e5280a2a8f4fb3b9e2f4a3e3093a38');
INSERT INTO `sys_role_menu` VALUES ('4d80f40315f747768d5b14095a0a7336', '833b204d5f2c402190bfca677421cfeb');

-- ----------------------------
-- Table structure for sys_user
-- ----------------------------
DROP TABLE IF EXISTS `sys_user`;
CREATE TABLE `sys_user`  (
  `id` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '主键',
  `username` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '登录名',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '姓名/昵称',
  `password` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '密码',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '状态',
  `phone` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '手机号',
  `is_login` int(1) NULL DEFAULT 0 COMMENT '禁止登录：0未禁用，1已禁用',
  `sort` int(12) NULL DEFAULT NULL COMMENT '排序',
  `is_del` int(1) NULL DEFAULT 0 COMMENT '删除标识：0未删除，1已删除',
  `create_by` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_date` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_date` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '用户表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_user
-- ----------------------------
INSERT INTO `sys_user` VALUES ('1', 'admin', '管理员', '6b86b273ff34fce19d6b804eff5a3f5747ada4eaa22f1d49c01e52ddb7875b4b', '1', '13888888888', 0, NULL, 0, NULL, '2020-05-15 22:25:20', '352203037d942140926eb0ea10a04a56', '2021-01-11 16:55:44');
INSERT INTO `sys_user` VALUES ('58406a1c08dc4f6aabc44295fba7f1b4', 'test1', '1', '6b86b273ff34fce19d6b804eff5a3f5747ada4eaa22f1d49c01e52ddb7875b4b', NULL, '1', 0, NULL, 1, '1', '2021-10-20 19:55:35', NULL, NULL);
INSERT INTO `sys_user` VALUES ('674a3aa6b1ea4d91a1f72e7879d415c3', 'test1', 'test1', '6b86b273ff34fce19d6b804eff5a3f5747ada4eaa22f1d49c01e52ddb7875b4b', NULL, '1', 0, NULL, 1, '1', '2021-10-20 19:38:20', NULL, NULL);
INSERT INTO `sys_user` VALUES ('b4550781c41e401695838372384b8cd3', 'test1', '1', '6b86b273ff34fce19d6b804eff5a3f5747ada4eaa22f1d49c01e52ddb7875b4b', NULL, '1', 0, NULL, 1, '1', '2021-10-20 20:03:04', NULL, NULL);
INSERT INTO `sys_user` VALUES ('bd06c115ff80418d9d7968eff48d1c6a', 'test', '1', '6b86b273ff34fce19d6b804eff5a3f5747ada4eaa22f1d49c01e52ddb7875b4b', NULL, '1', 0, NULL, 1, '1', '2021-10-20 20:02:58', NULL, NULL);
INSERT INTO `sys_user` VALUES ('c5232f1b558d49f98a448827912838e7', 'test1', '1', '6b86b273ff34fce19d6b804eff5a3f5747ada4eaa22f1d49c01e52ddb7875b4b', NULL, '1', 0, NULL, 1, '1', '2021-10-20 18:04:51', NULL, NULL);
INSERT INTO `sys_user` VALUES ('ff0add8572864b328980b2e31f071d05', 'test', '2', '6b86b273ff34fce19d6b804eff5a3f5747ada4eaa22f1d49c01e52ddb7875b4b', NULL, '4', 0, NULL, 1, '1', '2021-10-20 18:00:02', '1', '2021-10-20 18:01:04');

-- ----------------------------
-- Table structure for sys_user_code
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_code`;
CREATE TABLE `sys_user_code`  (
  `user_id` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '用户id',
  `code_id` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '权限代码id',
  PRIMARY KEY (`user_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '用户权限code关联表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for sys_user_office
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_office`;
CREATE TABLE `sys_user_office`  (
  `office_id` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '组织机构id',
  `user_id` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '用户id'
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '用户组织机构关联表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for sys_user_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_role`;
CREATE TABLE `sys_user_role`  (
  `user_id` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '用户id',
  `role_id` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '角色id'
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '用户与角色关联表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_user_role
-- ----------------------------
INSERT INTO `sys_user_role` VALUES ('1', '1');
INSERT INTO `sys_user_role` VALUES ('1367346377654542338', '');
INSERT INTO `sys_user_role` VALUES ('1367346377654542338', '1');
INSERT INTO `sys_user_role` VALUES ('1379778439112048642', '1');
INSERT INTO `sys_user_role` VALUES ('1382275268005437442', '1');
INSERT INTO `sys_user_role` VALUES (NULL, '1');
INSERT INTO `sys_user_role` VALUES ('ff0add8572864b328980b2e31f071d05', '1');
INSERT INTO `sys_user_role` VALUES (NULL, '1');
INSERT INTO `sys_user_role` VALUES (NULL, '1');
INSERT INTO `sys_user_role` VALUES ('58406a1c08dc4f6aabc44295fba7f1b4', '1');
INSERT INTO `sys_user_role` VALUES ('bd06c115ff80418d9d7968eff48d1c6a', '1');
INSERT INTO `sys_user_role` VALUES ('b4550781c41e401695838372384b8cd3', '1');

SET FOREIGN_KEY_CHECKS = 1;
